#Example_112 Defining a simple 2D BEM mesh                           

fem                            #sets the environment to FEM         
fem define window                                                  
fem draw axes                  #draws the axes.                      
fem draw rule                  #draws a ruled grid.                   
fem define nodes;r;bem_mesh;example #the nodes defined are the same as
#                              ! in example_111.
#                              !Click the centre mouse button to finish
fem draw nodes                 #Draw the nodes
fem define base;p              #define a BE Lagrange/Hermite basis
#                              !  function with one Xi direction
fem define elements;m          #define elements: pick pairs of nodes
#                              !  1,2; 2,3; 3,6; 6,5; 5,4; 4,1.
#                              !  There are now six elements.  Note
#                              !  that the BEM elements are 1D and lie 
#                              !  around the edge of the mesh.  Compare
#                              !  this with the FEM mesh in example_111
#                              !  where the elements were 2D and 
#                              !  required 4 nodes to define them.
fem list nodes                 #lists the number of nodes and their 
#                              !  coordinates.                        
fem list bases                 #lists the defined bases.             
fem list elements              #lists the elements (6).
fem list node;bem_mesh         #list the nodal coordinates to file 
#                              !  BEM_MESH.OPNODE in your local
#                              !  directory.
