#Example 219a Read in full 3D mesh from input files and draw cross-section                                                                                      

fem assign;p HEART              #type in the heart number you wish to work                                                          
#                                with (02 in this example)                                                                          
fem define coordinates;r;h00;doc#reads coordinate system definitions from                                                           
#                                file for standard prolate spheroid                                                                 
fem define base;r;h00_my_sfread;example                                                                                                 
#                               !reads basis function definitions                                                                   
fem define elements;r;h00_my;doc#reads element definitions                                                                          

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define node;H//HEART//_my   #reads node definitions                                                                             
fem define node;HHEART_my #reads node definitions


# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define line;r;h00_my_ed//HEART;example                                                                                              
fem define line;r;h00_my_edHEART;example

#                               !reads line definitions from file                                                                   
fem define window;c on 1,2      #calculates window size                                                                             
fem draw line on 1,2            #draws the mesh                                                                                     
fem draw axes x=30..70:10 on 1                                                                                                  
#                               !draws axes on window 1                                                                           
fem ca lines on 2               #removes mesh lines from window 2                                                                   
fem define cross-section x=20   #draws a cross-section at x=20                                                                                  
fem quit
