gfx create material purple ambient 1 0 1 diffuse 1 0 1 emission 0 0 0 specular 1 1 1 alpha 1 shininess 0.74

gfx re no host
gfx re el host
gfx modify g_element host general clear circle_discretization 6 default_coordinate coordinates element_discretization "16*16*16" native_discretization none;
gfx modify g_element host lines select_on material default selected_material default_selected;
gfx modify g_element host surfaces face xi3_0 select_on invisible material muscle selected_material default_selected render_shaded;

gfx re no slave
gfx re el slave
gfx modify g_element slave general clear circle_discretization 6 default_coordinate coordinates element_discretization "16*16*16" native_discretization none;
gfx modify g_element slave lines select_on material red selected_material default_selected;

gfx re no deformed_host
gfx re el deformed_host
gfx modify g_element deformed_host general clear circle_discretization 6 default_coordinate coordinates element_discretization "16*16*16" native_discretization none;
gfx modify g_element deformed_host lines select_on material green selected_material default_selected;

gfx re no transformed_slave
gfx re el transformed_slave


gfx read data landmark
gfx read data target
gfx modify g_element target data_points glyph point general size "1*1*1" centre 0,0,0 select_on material red selected_material default_selected;
gfx modify g_element target data_points glyph line general size "0*0*0" centre 0,0,0 orientation error scale_factors "1*1*1" select_on material purple selected_material default_selected;
$name = "newLandmark"
gfx read data $name
gfx modify g_element $name data_points glyph point general size "1*1*1" centre 0,0,0 select_on material gold selected_material default_selected;
$name = "data_cust"
gfx read data $name
gfx modify g_element $name data_points glyph line general size "0*0*0" centre 0,0,0 orientation error scale_factors "1*1*1" select_on material default selected_material default_selected;


gfx set point 4
gfx create axes length 20
gfx draw axes

gfx create window 1
gfx edit scene
gfx modify window 1 view parallel eye_point -24.9258 -4.53339 -441.782 interest_point 15.3053 2.66897 4.963 up_vector -0.992895 0.079956 0.088125 view_angle 26.188 near_clipping_plane 4.48611 far_clipping_plane 1603.18 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1;

gfx set vis off host
gfx set vis off deformed_host
gfx set vis off axes



