#Example_2211  Fitting heart fibres                                                                                                 
                                                                                                                                    
#Note: This example is to give an overview of the fibre fitting procedure only                                                      
#Do not run this as it stands because CMISS must be exited after each com file.                                                     
                                                                                                                                    

#                              epicardial fibre field                                                                               

#                              endocardial fibre field                                                                              


#                              mesh                                                                                                 

#                              refined mesh                                                                                         

#                              allows you to check the cross sections                                                               


#                              the heart wall                                                                                       
                                                                                                                                    
 FILES                                                                                                                              
 Command files:                                                                                                                     
 h00_ep  .com     is command file for fitting epicardial coords (h00_ep.ipnod)                                                      
 h00_ep_f.com      "     "     "   "     "        "      fibres       "                                                             
 h01_ep  .com      "     "     "   "     "        "      coords (h01_ep.ipnod)                                                      
 h01_ep_f.com      "     "     "   "     "        "      fibres       "                                                             
 h01_ep_e.com      "     "     "   "     "        "      electrode timing data                                                      
 h00_lv  .com     is command file for fitting lv endo    coords (h00_lv.ipnod)                                                      
 h00_lv_f.com      "     "     "   "     "        "      fibres       "                                                             
 h01_lv  .com      "     "     "   "     "        "      coords (h01_lv.ipnod)                                                      
 h01_lv_f.com      "     "     "   "     "        "      fibres       "                                                             
 h00_rf  .com     is command file for finding rv free Xi coords (h00_rf.ipnod)                                                      
 h00_rf_f.com      "     "     "   "     "        "      fibres       "                                                             
 h01_rf  .com      "     "     "   "     "        "      coords (h01_rf.ipnod)                                                      
 h01_rf_f.com      "     "     "   "     "        "      fibres       "                                                             
 h00_rs  .com     is command file for finding rv sept Xi coords (h00_rs.ipnod)                                                      
 h00_rs_f.com      "     "     "   "     "        "      fibres       "                                                             
 h01_rs  .com      "     "     "   "     "        "      coords (h01_rs.ipnod)                                                      
 h01_rs_f.com      "     "     "   "     "        "      fibres       "                                                             
 h00_rv  .com     is command file for fitting rv endo    coords (h00_rv.ipnod)                                                      
 h00_rv_f.com      "     "     "   "     "        "      fibres       "                                                             
 h01_rv  .com      "     "     "   "     "        "      coords (h01_rv.ipnod)                                                      
 h01_rv_f.com      "     "     "   "     "        "      fibres       "                                                             
                                                                                                                                    
 Surface geometry and fibre files:                                                                                                  
here 3 9

# Command updated by fixcom.sh on Wed Aug 23 17:48:07 NZT 2000
# Old command:  h00     .ipcoor is epicardial coordinate information                                                                               
h00 .ipcoor is epicardial coordinate insprintf("%no",)

 h00_ep  .ipbase    "     "      basis functions                                                                                    
 h00_ep  .ipelem    "     "      element topology                                                                                   
 h00_ep  .ipnode    "     "      nodal coords (lamda=1, mu=120,90,45,0)                                                             
 h01_ep  .ipnode    "     "      nodal coords (lamda=1, mu=120,60,30,0)                                                             
 h00_ep  .ipfit     "     "      fitting parameters for geometry                                                                    
 h00_ep  .ipfibr    "     "      fibre angles (=0)                                                                                  
 h00_ep_f.ipfit     "     "      fitting parameters for fibre field                                                                 
here 3 9

# Command updated by fixcom.sh on Wed Aug 23 17:48:07 NZT 2000
# Old command:  h00     .ipcoor   is lv endocardial coordinate information                                                                         
h00 .ipcoor is lv endocardial coordinate insprintf("%no",)

 h00_ep  .ipbase    "     "      basis functions                                                                                    
 h00_lv  .ipelem    "     "      element topology                                                                                   
 h00_lv  .ipnode    "     "      nodal coords (lamda=1, mu=120,90,45,0)                                                             
 h01_lv  .ipnode    "     "      nodal coords (lamda=1, mu=120,60,30,0)                                                             
 h00_lv  .ipfit     "     "      fitting parameters for geometry                                                                    
 h00_lv  .ipfibr    "     "      fibre angles (=0)                                                                                  
 h00_lv_f.ipfit     "     "      fitting parameters for fibre field                                                                 
here 3 9

# Command updated by fixcom.sh on Wed Aug 23 17:48:07 NZT 2000
# Old command:  h00     .ipcoor   is rv endo free wall coordinate information                                                                      
h00 .ipcoor is rv endo free wall coordinate insprintf("%no",)

 h00_ep  .ipbase    "     "      basis functions                                                                                    
 h00_rf  .ipelem    "     "      element topology                                                                                   
 h00_rf  .ipnode    "     "      nodal coords (lamda=1, mu=120,90,45,0)                                                             
 h01_rf  .ipnode    "     "      nodal coords (lamda=1, mu=120,60,30,0)                                                             
 h00_rf  .ipfit     "     "      fitting parameters for geometry                                                                    
 h00_rf  .ipfibr    "     "      fibre angles (=0)                                                                                  
 h00_rf_f.ipfit     "     "      fitting parameters for fibre field                                                                 
here 3 9

# Command updated by fixcom.sh on Wed Aug 23 17:48:07 NZT 2000
# Old command:  h00     .ipcoor   is rv endo septal wall coordinate information                                                                    
h00 .ipcoor is rv endo septal wall coordinate insprintf("%no",)

 h00_ep  .ipbase    "     "      basis functions                                                                                    
 h00_rs  .ipelem    "     "      element topology                                                                                   
 h00_rs  .ipnode    "     "      nodal coords (lamda=1, mu=120,90,45,0)                                                             
 h01_rs  .ipnode    "     "      nodal coords (lamda=1, mu=120,60,30,0)                                                             
 h00_rs  .ipfit     "     "      fitting parameters for geometry                                                                    
 h00_rs  .ipfibr    "     "      fibre angles (=0)                                                                                  
 h00_rs_f.ipfit     "     "      fitting parameters for fibre field                                                                 
                                                                                                                                    
 Thickwall geometry and fibre files:                                                                                                
here 3 9

# Command updated by fixcom.sh on Wed Aug 23 17:48:07 NZT 2000
# Old command:  h00     .ipcoor   is myocardial coordinate information                                                                             
h00 .ipcoor is myocardial coordinate insprintf("%no",)

 h00_my  .ipbase    "     "      basis functions                                                                                    
 h00_my  .ipelem    "     "      element topology                                                                                   
 h00_my  .ipnode    "     "      nodal coordinates                                                                                  
 h00_my  .ipfibr    "     "      fibre angles (=0)                                                                                  
 h00_my_f.ipfit     "     "      fitting parameters for fibre field                                                                 
                                                                                                                                    
 Files for a particular heart:                                                                                                      
 h##.data         is unprocessed complete set of data points for heart h##                                                          
 h##_ep  .ipdata   is epicardial     surface data points                                                                            
 h##_ep  .ipnode    "     "          nodal coordinates (fitted)                                                                     
 h##_ep_f.ipdata    "     "          fibre angle data                                                                               
 h##_ep  .ipfibr    "     "          fibre angles at nodes (fitted)                                                                 
 h##_ep_e.ipdata    "     "          electrode position and timing data                                                             
 h##_lv  .ipdata   is lv endocardial surface data points                                                                            
 h##_lv  .ipnode    "     "          nodal coordinates (fitted)                                                                     
 h##_lv_f.ipdata    "     "          fibre angle data                                                                               
 h##_lv  .ipfibr    "     "          fibre angles at nodes (fitted)                                                                 
 h##_rf  .ipdata   is rv free wall   endocardial surface data points                                                                
 h##_rf  .ipnode    "     "          nodal coordinates (fitted)                                                                     
 h##_rf_f.ipdata    "     "          endocardial fibre angle data                                                                   
 h##_rf  .ipfibr    "     "          endo fibre angles at nodes (fitted)                                                            
 h##_rs  .ipdata   is rv septal wall endocardial surface data points                                                                
 h##_rs  .ipnode    "     "          nodal coordinates (fitted)                                                                     
 h##_rs_f.ipdata    "     "          endocardial fibre angle data                                                                   
 h##_rs  .ipfibr    "     "          endo fibre angles at nodes (fitted)                                                            
 h##_my  .ipnode   is myocardial     nodal coordinates                                                                              
 h##_my_f.ipdata    "     "          fibre angle data                                                                               
 h##_my  .ipfibr    "     "          fibre angles                                                                                   
 h##_co  .ipdata   is coronary vessel coordinate data                                                                               
 h##_va  .ipdata   is valve ring coordinate data                                                                                    
 h##_my_e_001.ipdata is myocardial plunge electrode 001 position data                                                               
 h##_my_e_001_1.ipdata is position 1 myoc plunge electrode 001 position data                                                        
 FILES                                                                                                                              
fem quit                                                                                                                            
