Refines the LV endocardial mesh and fits LV endocardial fibre field                                                                 
fem assign;p HEART            #type in the heart number you want to work                                                            
#                              with (02 in this example)                                                                            
fem define coordinates;r;h00;example                                                                                                    
#                             !reads coordinate system definitions from file                                                        
#                              for standard prolate spheroid                                                                        
fem define base;r;h00_ep_sfread;example                                                                                                 
                              #reads basis function definitions                                                                     
fem define elements;r;h00_lv;example                                                                                                    
#                             !reads element definitions                                                                            

# Command updated by fixcom.sh on Wed Aug 23 17:48:08 NZT 2000
# Old command: fem define nodes;r;H//HEART//_lv;example                                                                                                
fem define nodes;r;HHEART_lv;example

#                             !reads node definitions                                                                               

# Command updated by fixcom.sh on Wed Aug 23 17:48:08 NZT 2000
# Old command: fem define lines;r;h00_lv_//HEART;example                                                                                                
fem define lines;r;h00_lv_HEART;example

#                             !reads line definitions                                                                               
fem define window;c on 4      #calculate window size                                                                                
fem define map hammer         #opens window (4) for hammer projection                                                               
fem draw lines on 4           #draws element boundary mesh on window 4                                                              


















fem update mesh               #draws refined mesh                                                                                   
fem draw nodes on 4           #shows node numbers on window 4                                                                       

# Command updated by fixcom.sh on Wed Aug 23 17:48:08 NZT 2000
# Old command: fem define nodes;w;H//HEART//_lv_ref                                                                                                
fem define nodes;w;HHEART_lv_ref

#                             !writes refined nodal parameters to file                                                              
#                              h02_lv_ref.ipnode                                                                                    

# Command updated by fixcom.sh on Wed Aug 23 17:48:08 NZT 2000
# Old command: fem define lines;w;h00_lv_ref_//HEART                                                                                               
fem define lines;w;h00_lv_ref_HEART

#                             !writes refined line parameters to file                                                               
#                              h00_lv_ref_**.ipline                                                                                 
fem define fibre;r;h00_lv_ref_f;example                                                                                                 
#                             !reads standard fibre definitions                                                                     

# Command updated by fixcom.sh on Wed Aug 23 17:48:08 NZT 2000
# Old command: fem define data;r;H//HEART//_lv_f;example fibre                                                                                         
fem define data;r;HHEART_lv_f;example fibre

#                             !reads fibre data from file h02_lv_f.ipdata                                                           
fem define data;c xi          #calculates data xi coordinates with respect                                                          
#                              to mesh                                                                                              
fem draw data fibre on 4      #draws fibre data on window 4                                                                         
fem change data fibre 0 180   #moves fibre angles into correct range                                                                
fem define fit;r;h00_lv_ref_f;example fibre                                                                                             
#                             !specifies fit parameters                                                                             
fem fit fibre                 #fits the fibre data                                                                                  

# Command updated by fixcom.sh on Wed Aug 23 17:48:08 NZT 2000
# Old command: fem define fibre;w;H//HEART//_lv_ref_f                                                                                              
fem define fibre;w;HHEART_lv_ref_f

#                             !writes the fitted fibre parameters to new                                                            
#                              file h02_lv_ref_f.ipfibr                                                                             
fem draw fibre on 4           #draws fitted fibres on window 4                                                                      
fem assign;p return           #pauses until you press [RETURN]                                                                      
fem hide data on 4            #removes the original fibre data from window 4                                                        
fem quit                                                                                                                            
