#Refines the RV endocardial mesh                                                                                                    
fem assign;p HEART            #type in the heart number you are working with                                                        
#                              (02 in this example)                                                                                 
fem define coordinates;r;h00;example                                                                                                    
#                             !reads coordinate system definitions from file                                                        
#                              for standard prolate spheroid                                                                        
fem define base;r;h00_ep;example  #reads basis function definitions                                                                     
fem define elements;r;h00_rv;example                                                                                                    
#                             !reads element definitions                                                                            

# Command updated by fixcom.sh on Wed Aug 23 17:48:08 NZT 2000
# Old command: fem define nodes;r;H//HEART//_rv;example                                                                                                
fem define nodes;r;HHEART_rv;example

#                             !reads node definitions                                                                               

# Command updated by fixcom.sh on Wed Aug 23 17:48:08 NZT 2000
# Old command: fem define lines;r;h00_rv_//HEART;example                                                                                               
fem define lines;r;h00_rv_HEART;example

#                             !reads line definitions                                                                               
fem define window;c on 1,4    #calculates the window size                                                                           
fem define map hammer         #opens window (4) for hammer projection                                                               
fem draw lines on 1,4         #draws mesh on windows 1 and  4                                                                       








fem update mesh on 1,4        #draws refined mesh on windows 1 and 4                                                                
fem draw nodes on 1,4         #shows node numbers on windows 1 and 4                                                                

# Command updated by fixcom.sh on Wed Aug 23 17:48:08 NZT 2000
# Old command: fem define nodes;w;H//HEART//_rv_ref                                                                                                
fem define nodes;w;HHEART_rv_ref

#                             !writes refined nodal parameters to file                                                              
#                              h02_rv_ref.ipnode                                                                                    

# Command updated by fixcom.sh on Wed Aug 23 17:48:08 NZT 2000
# Old command: fem define lines;w;h00_rv_ref_//HEART                                                                                               
fem define lines;w;h00_rv_ref_HEART

                              #Write new line parameters                                                                            
fem quit                                                                                                                            
