#Example_234  Fit activation time isochrones on 3D epicardial                                                                       
#             surface using Gauss point data. (30 element mesh)                                                                     
#             The data comes from a simullation using a single                                                                      
#             epicardial stimulus.  (The timing data is read                                                                        
#             in as Gauss point information)                                                                                        
                                                                                                                                    
#Before running this .com file you must edit the Gauss point file from                                                              
#the activation model.  Firstly eliminate all Gauss points from elements                                                            
#31 to 60.  Secondly eliminate Gauss points 1..100 in elements 1..30.                                                               
#Finally, in each of these elements, renumber remaining GP's (101..125)                                                             
#to new numbers 1..25. This file is called example_234.ipgaus in this                                                               
#case.                                                                                                                              
#                                                                                                                                   
fem define coor;r;example_234;example #prolate spheroidal coords                                                                        
fem define base;r                 #bicubic basis                                                                                    
fem define elem;r                 #30 elements                                                                                      
fem define node;r                 #59 nodes                                                                                         
fem define line;r                 #line scaling factors                                                                             
fem list nodes                                                                                                                      
fem define window on 4                                                                                                              
fem define map hammer mu=117      #Hammer projection window                                                                         
fem define gauss;r number 1       #Gauss point activation time data                                                                 
#fem list gauss                                                                                                                     
fem define field;r                #1 field position only                                                                            
fem list nodes                                                                                                                      
fem define fit;r gauss field      #Gauss point fit                                                                                  
fem list fit                                                                                                                        
fem fit gauss                                                                                                                       
fem draw contours field value 0..200:5 #contours on Hammer map                                                                      
                                                                                                                                    
                                                                                                                                    
                                                                                                                                    
#Fit isochrones to Gauss Point times read in as data                                                                                
#Using 12 element epicardial mesh                                                                                                   
                                                                                                                                    
fem define coor;r;example_234A;example                                                                                                  
fem define base;r                                                                                                                   
fem define elem;r                                                                                                                   
fem define node;r                                                                                                                   
fem define line;r                                                                                                                   
fem define window on 4                                                                                                              
fem define map hammer mu=117                                                                                                        
fem draw lines                                                                                                                      
fem define field;r                                                                                                                  
fem define data;r field                                                                                                             
fem define data;c xi                                                                                                                
fem define fit;r field                                                                                                              
fem fit field                                                                                                                       
#fem li no nu 1                                                                                                                     
fem draw gauss                                                                                                                      
fem draw contours field value 0..200:5 on 4                                                                                         
#fem define field;w;h27_epstim                                                                                                      
#fem quit                                                                                                                           
