#Example_236 Fitting speckle displacement data.
#            A 16 element mesh is defined and data read in which has
#            2 field values being the x,y displacements as determined by
#            speckle imaging. These data are fitted by nodal 
#            displacement fields. The nodal coords are then updated by 
#            adding the fitted field values to the nodal coords (after 
#            transforming to r.c. and then transforming back to polar).

fem de coor;r;speckle;example  #cylindrical polar coords
fem de node;r;;example         #17 nodes
fem de base;r;;example         #bilinear basis
fem de elem;r;;example         #16 elements
fem de fiel;r;;example         #one field variable
fem de elem;r;;example field
fem de wind
fem dr lines
fem de data;r;;example field   #displacement data
fem dr data
fem de xi;c
fem dr data trace
fem de fit;r;;example field    #fit x,y displacements
fem fit 
fem up node add convert    #update geom polar coords
fem dr li

