#Example_236 Fitting speckle displacement data.
#            A 16 element mesh is defined and data read in which has
#            2 field values being the x,y displacements as determined by
#            speckle imaging. These data are fitted by nodal 
#            displacement fields. The nodal coords are then updated by 
#            adding the fitted field values to the nodal coords (after 
#            transforming to r.c. and then transforming back to polar).

fem de coor;r;speckle;doc  #cylindrical polar coords
fem de node;r;;doc         #17 nodes
fem de base;r;;doc         #bilinear basis
fem de elem;r;;doc         #16 elements
fem de fiel;r;;doc         #one field variable
fem de wind
fem dr lines
fem de data;r;;doc field   #displacement data
fem dr data
fem de xi;c
fem dr data trace
fem de fit;r;;doc field    #fit x,y displacements
fem fit 
fem up node add convert    #update geom polar coords
fem dr li

