#Example_311 Steady state temperature distribution in a plate (see example_111).        
                                                                      
fem                             #Set the FEM environment               
fem define nodes;r;fem_mesh     #Read nodes to define a plate
fem define window;c             #Calculate the window size     
fem define bases;r              #Defines a bilinear basis function
fem define elements;r           #Read in two elements from file
fem draw lines                  #Make the line segments visible      
fem draw elements               #Make the element numbers visible    
fem draw nodes                  #Make the node numbers visible       
fem define equation;p;ssplate   #Define a STATIC analysis of LAPLACE's 
#                               !  equation (STANDARD) using GALERKIN 
#                               !  FINITE ELEMENTS with LINEAR ANALYSIS
fem list equation               #List the problem type parameters   
fem define material;d           #Define default material properties (none)  
fem define initial;p            #Define some initial conditions.  Set  
#                               !  node 1 to 10 deg, node 4 to 4 deg 
#                               !  and nodes 3 and 6 to 0 deg. Press enter to
#                               !  finish entering boudary conditions. There
#                               !  are no natural boundary conditions so 
#                               !  default all other questions.        
fem define solve;p              #Defines solver options. Default all questions. 
fem list initial                #List the boundary conditions (an 'F' 
#                               !  in the list of boundary conditions 
#                               !  indicates a free variable         
fem list node solution          #List the initial values              
fem solve                       #Solve the boundary value problem. Default all#                               !  options.     
fem list node solution          #List the nodal solutions             
fem list node flux              #List the nodal (heat) fluxes
fem draw field                  #This will give a shading of the    
#                               !  temperature field
fem draw contours dependent value 0..10:1                            
#                               !Draw contours from 0 to 10 deg in steps of 
#                               !  1 deg                             
fem draw gradient scale 0.05    #Draw (scaled) gradient vectors     
fem draw reactions scale 0.05   #Draw (scaled) reaction (heat flux) 
#                               !  vectors                           
