#Example_3142 Steady state temperature distribution in a plate (see example_3141).
#This example is used to test the convergence of the Laplace or Poisson equation
#This example is example_3131 refined once per Zhi. The basis function is bilinear. 
#
fem                                     #Set the FEM environment
fem define coordinate;r;laplin2;example #Reads in the coordinates used for the plate
fem define nodes;r;laplin2;example      #Reads in the 28 nodes to define the plate
fem define bases;r;laplin2;example      #Defines a bilinear basis function
fem define elements;r;laplin2;example   #Reads in elements from file
fem define wind;c                       #Calculates the graphic window size
fem draw lines                          #Makes the line segments visible
fem define equation;r;laplin2;example   #Defines a STATIC analysis of LAPLACE's eqn
fem define material;r;laplin2;example   #Define material properties (none)
fem define initial;r;laplin2;example    #Defines initial conditions
#                                       !Three sides are held at zero and the forth
#                                       !side has a heat function of Sin(Pi Y/L)
fem define solve;r;laplin2;example      #Defines solver options, default all settings
fem solve                               #Solves the boundary value problem
fem draw field                          #This will draw colour temperature field
fem draw contours label off             #Draws 10 contours step size 0.1 deg
