#Example_412 A bicycle truss problem                               
                                                                       
fem                            #Set up the FEM environment              
fem define nodes;r;bicycle;example #Read the bicycle nodes
fem define window;c            #Calculate the window size              
fem define bases;r;;example    #Defines a linear basis function
fem define elements;r;;example #Defines bicycle elements   
fem define fibre;d                   #Default fibre angle (these need to be 
fem define elements;r;;example fibre #done but add no new information)
fem draw lines                 #Make the line segments visible          
fem draw nodes                 #Make the node numbers visible           
fem define equation;p          #Define a static analysis using 
#                                linear elasticity with truss 
#                                elements for elements 1..6. The
#                                basis function for the u and v
#                                displacements is 1. Default all
#                                other options.
fem define material;p          #Define the material parameters. Define 
#                                an isotropic material with a Young's 
#                                modulus of 70 GPa (Aluminium), and a
#                                cross-area of 5 cm^2. Default all 
#                                other options. Note: density is not 
#                                a required input. (for Aluminium it is 
#                                2700 kg/m^3).
fem define initial;p           #Define initial and boundary conditions 
#                                for the problem. Consider the case
#                                of a person sitting on the bicycle
#                                giving a downwards force of 1 kN
#                                at the seat. Fix the displacements
#                                of nodes 1 and 5 in both the x and 
#                                y directions (so the problem becomes
#                                statically determinant) and apply
#                                a downwards integrated force of 1 kN 
#                                at node 3, i.e. the force vector is
#                                (0.0,-1.0) kN.
#                                NOTE: If Young's modulus is entered
#                                in GPa then the units of force are
#                                kN and the units of displacement
#                                are um (micrometers).
fem define solve;p            #Define the solver options. Default all
#                                options.
fem solve                      #Solves the boundary value problem
fem draw line deformed dotted scale 50 #Draws (scaled) deformed 
#                                bicycle with dotted lines 
fem list node solution         #List the nodal displacements 
fem list node reaction         #List the nodal reactions (forces) 
fem list stress                #List the element stresses         
fem draw reaction scale 2      #Draw (scaled) reaction (force) vectors 
