#Example_535  Displacement inflation and axial extension of a cylinder
#             using r2 interpolation 
                          
fem                     
fem define coordinates;r;cylinf;example #Defines a 3D cylindrical polar 
#                              !  coordinate system.
fem define node;r;;example         #Defines 6 nodes.
fem define base;r;;example         #Defines 3 basis functions: trilinear,
#                              !  auxillary (constant), and bilinear
#                              !  (for faces).
fem define element;r;;example      #Defines 2 elements.
fem define window;r;;example       #2D window only.
fem draw lines
fem define equation;r;;example     #Defines finite elasticity, 3D.
fem define material;r;;example     #Mooney-Rivlin referred to body
#                              !  coordinates.
fem define initial;r;;example      #10% inflation and 10% stretch.
fem define solve;r;;example
fem solve
fem draw lines deformed dotted scale 5
fem list strain at 1 ref       #List strain wrt reference coordinates
#                              !  at 1st gauss point.
fem list stress at 1 ref       #List stress wrt reference coordinates 
#                              !  at 1st gauss point.
