#Example_536  Pressure inflation of a 2 element cylinder with free ends
#             using r^2 interpolation

#
#  ERROR: There is a problem using r^2 interpolation and pressure boundary
#         conditions - produces singular arrays and needs fixing
#

fem 
fem define coordinate;r;cylinp;example #Defines 3 cylindrical polar coords,
#                              !  with r^2 interpolation.
fem define node;r;;example         #Defines 6 nodes.
fem define base;r;;example	       #Defines 3 basis functions.
fem define element;r;;example      #Defines 2 elements.
fem define window;r;;example       #Defines the window dimensions.
fem draw lines                 #Draws undeformed mesh.
fem define equation;r;;example     #Defines finite elasticity equations.
fem define material;r;;example     #Incompressible Mooney-Rivlin material.
fem define initial;r;;example      #Internal pressure of 1, external 0.
fem define solve;r;;example        #Residual and intermediate output.
fem solve step 1
fem draw lines deformed dotted #Draws deformed mesh.
fem list strain at 1 ref       #List strain wrt reference coordinates
#                              !  at 1st Gauss point.
fem list stress at 1 ref       #List stress wrt reference coordinates
#                              !  at 1st Gauss point.
