gfx

gfx create window 1 double_buffer
gfx modify window 1 image scene default light_model default
gfx modify window 1 image add_light default
gfx modify window 1 layout simple ortho_axes z -y eye_spacing 0.25 width 400 height 400
gfx modify window 1 set current_pane 1
gfx modify window 1 background colour 0 0 0
gfx modify window 1 view parallel eye_point -12.8607 14.1651 7.28296 interest_point 1.19118 0.196903 0 up_vector -0.704687 -0.405245 -0.582403 view_angle 43.8051 near_clipping_plane 0.211094 far_clipping_plane 75.4377 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1
gfx modify window 1 overlay scene none
gfx modify window 1 set transform current_pane 1 std_view_angle 40 normal_lines no_antialias fast_transparency


gfx create material default ambient 1 1 1 diffuse 1 1 1 emission 0 0 0 specular 0 0 0 alpha 1 shininess 0
gfx create material red ambient 0 0 0 diffuse 1 0 0 emission 0 0 0 specular 1 1 1 alpha 1 shininess 0.98


#gfx modify g_element heart general circle_discretization 6 default_coordinate default_coordinate element_discretization 20*20*20 native_discretization none
#gfx modify g_element heart lines material default
#gfx modify g_element heart surfaces exterior material default
#gfx modify g_element heart cylinders constant_radius 0.1 material red

#  gfx read nodes ellipsoid 
#  gfx read elements ellipsoid 
#  gfx create lines exterior mat red from ellipsoid as heart_lines time -1 with 20


$NAME1 = "heart"
$MAXPRESS = 10
for ($i=0; $i<=$MAXPRESS; $i++)
{
  if( $i<10 )
  {
    $FILENAME = "${NAME1}0$i"
  }
  else
  {
    $FILENAME = "${NAME1}$i"
  }

  gfx read nodes $FILENAME 
  gfx read elements $FILENAME 
  gfx create lines mat red from heart as heart_lines time $i with 20
  #gfx create surfaces exterior mat default from heart as heart_surf time $i with 20*20
}

gfx modify g_element heart lines invisible material default
gfx draw heart_lines
#gfx draw heart_surf

gfx create time_editor
gfx timekeeper default play minimum 0 maximum $MAXPRESS swing



