gfx read nodes fit_aortic_valve/aortic_valve
gfx read elem  fit_aortic_valve/aortic_valve

gfx read nodes fit_mitral_valve/mitral_valve
gfx read elem  fit_mitral_valve/mitral_valve

gfx read nodes fit_pulmonary_valve/pulmonary_valve
gfx read elem  fit_pulmonary_valve/pulmonary_valve

gfx read nodes fit_tricuspid_valve/tricuspid_valve
gfx read elem  fit_tricuspid_valve/tricuspid_valve


gfx create material bone ambient 1 1 0.16 diffuse 1 1 0.61 emission 0 0 0 specular 1 1 0.21 alpha 1 shininess 1
gfx cre material aqua_blue diff 0.1 0.9 1 amb 0.1 0.9 1 specular 0.8 0.8 0.8 shininess 0.8
gfx cre material red       diff 1 0 0     amb 1 0 0     specular 0.8 0.8 0.8 shininess 0.8
gfx create material jade ambient 0.1 0.56 0 diffuse 0.1 0.39 0 emission 0 0 0 specular 0.8 0.8 0.8 alpha 1 shininess 0.8
gfx create material purple ambient 0.72 0 1 diffuse 0.5 0 1 emission 0 0 0 specular 1 1 1 alpha 1 shininess 0.8
gfx cre mat bluey amb 0 0.25 0.5 diff 0 0.4 1 spec 0.5 0.5 0.5 shininess 0.3
gfx cre mat copper ambient 1 0.2 0 diff 0.6 0.3 0 spec 0.7 0.7 0.5 shin 0.3
gfx cre mat gold amb 1 0.4 0 diff 1 0.7 0 spec 0.5 0.5 0.5 shininess 0.8
gfx create material silver ambient 0.4 0.4 0.4 diffuse 0.7 0.7 0.7 emission 0 0 0 specular 0.7 0.7 0.7 alpha 1 shininess 0.6
gfx create material skin ambient 1 0.2 0 diffuse 0.8 0.7 0.45 emission 0 0 0 specular 0.4 0.2 0.2 alpha 1 shininess 0.2
gfx create material black_skin ambient 0.4 0.1 0.1 diffuse 0.4 0.2 0.1 emission 0 0 0 specular 0.5 0.5 0.5 alpha 1 shininess 0.2



gfx modify g_element aortic_valve general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "8*8*8" native_discretization none
gfx modify g_element aortic_valve lines select_on material copper selected_material default_selected
gfx modify g_element aortic_valve node_points glyph sphere general size "1*1*1" centre 0,0,0 select_on material default selected_material default_selected





gfx modify g_element mitral_valve general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "8*8*8" native_discretization none
gfx modify g_element mitral_valve lines select_on material red selected_material default_selected
gfx modify g_element mitral_valve node_points glyph sphere general size "1*1*1" centre 0,0,0 select_on material default selected_material default_selected



gfx modify g_element pulmonary_valve general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "8*8*8" native_discretization none
gfx modify g_element pulmonary_valve lines select_on material purple selected_material default_selected
gfx modify g_element pulmonary_valve node_points glyph sphere general size "1*1*1" centre 0,0,0 select_on material default selected_material default_selected


gfx modify g_element tricuspid_valve general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "8*8*8" native_discretization none
gfx modify g_element tricuspid_valve lines select_on material bluey selected_material default_selected
gfx modify g_element tricuspid_valve node_points glyph sphere general size "1*1*1" centre 0,0,0 select_on material default selected_material default_selected



gfx create window 1 double_buffer
gfx modify window 1 image scene default light_model default
gfx modify window 1 image add_light default
gfx modify window 1 layout simple ortho_axes z -y eye_spacing 0.25 width 512 height 557
gfx modify window 1 set current_pane 1
gfx modify window 1 background colour 1 1 1 texture none
gfx modify window 1 view parallel eye_point -140.717 -37.7598 -6.61746 interest_point -2.77248 6.57618 35.5092 up_vector 0.245329 0.147155 -0.958206 view_angle 31.391 near_clipping_plane 1.50894 far_clipping_plane 539.244 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1
gfx modify window 1 overlay scene none
gfx modify window 1 set transform_tool current_pane 1 std_view_angle 40 normal_lines no_antialias fast_transparency


gfx set line_width 3

gfx modify window 1 set antialias 8 


gfx print window 1 width 2048 height 2048 rgb file valve_rings.rgb 

quit























