    #==========================================================================================================
    print "\033[0;30;42m ============================================================ \033[0m\n"; 
    print "\033[0;30;42m                       Solve Inflation                        \033[0m\n"; 
    print "\033[0;30;42m ============================================================ \033[0m\n"; 
    #==========================================================================================================
    print "\033[0;30;43m Increase cavity pressures incrementally to simulate diastole \033[0m\n"; 
    #
    $NAME1 = "full_heart_press_";
    $MAXIMUM_INCREM = 9; 
    $PRESS = 0.0;
    for $i ( 0..$MAXIMUM_INCREM ) 
    {
        if ($i < 1) 
        {
            $INCREM = 0.0;
        } else {
            $INCREM = 0.1;
#            $INCREM = 0.3333;
#            $INCREM = 0.16666;
        }
        #
        $PRESS = $PRESS + $INCREM;
        if ($PRESS < 1.3) 
        {
            $PRESS_mmHg = sprintf "%1.1f",${PRESS}*7.500637554192106;
        } else {
            $PRESS_mmHg = sprintf "%2.1f",${PRESS}*7.500637554192106;
        }
        $FILE = ${NAME1}.${PRESS}; 
#        $FILE = ${NAME1}.${PRESS_mmHg}; 
    #==========================================================================================================
    print "\033[0;30;42m ============================================================ \033[0m\n"; 
    print "\033[0;30;42m            Solving iteration $i, pressure $PRESS             \033[0m\n"; 
    print "\033[0;30;42m ============================================================ \033[0m\n"; 
    #==========================================================================================================
         
        fem solve increment $INCREM iter $ITERS error $TOL class $MECHANICS;
        fem define initial;w;${OUTPUT_DIR}.${FILE};
        fem export nodes;${OUTPUT_DIR}.${FILE}  as heart;
        fem export nodes;${OUTPUT_DIR}${FILE}_def field as heart;
        fem export elements;${OUTPUT_DIR}.${FILE} as heart;
        fem export elements;${OUTPUT_DIR}${FILE}_def field as wall;
        #
        fem update gauss strain fibre components region $WALL;
        fem export gauss;${OUTPUT_DIR}.${FILE}."_gauss_strain" yg as gauss_strain;
        fem update gauss stress fibre components region $WALL;
        fem export gauss;${OUTPUT_DIR}.${FILE}."_gauss_stress" yg as gauss_stress;

  $name = "heartInflation_".${PRESS};
  $file = $output.$name
  fem export nodes;$file field as $name offset 0
  fem export elements;$file field as $name offset_elem 0
  $name = "heartInflationStress_".${PRESS}; 
  $file = $output.$name
  fem update gauss stress total Cauchy reg $WALL
  #fem update gauss stress total_no_hydro Piola reg $WALL
  fem export gauss;$file yg as gauss_stress offset 0 reg $WALL
  $name = "heartInflationStrain_".${PRESS};
  $file = $output.$name
  fem update gauss strain fibre extension_ratios reg $WALL
  fem export gauss;$file yg as gauss_strain reg $WALL
        

    }
    #


