
    #==========================================================================================================
    print "\033[0;30;42m ============================================================ \033[0m\n"; 
    print "\033[0;30;42m                     Solving Reduced Ejection                         \033[0m\n"; 
    print "\033[0;30;42m ============================================================ \033[0m\n"; 
    #==========================================================================================================
    #
    # Decrement the cavity pressures to simulate ejection
    #
    $INCREM = $pIncr;
    $ITER = 30;
    $ERROR_TOLERANCE = 0.001;
    print "\nLV pressure = $LV_PRESS\n";
    print "CA = $Cactn\n\n";
    #while ($LV_PRESS > $Pee )
    while ($LV_PRESS > $Pee )
    {
      $LV_PRESS = $LV_PRESS - $pIncr;
      #$Cactn=$Cactn+0.5;
      #MySubs::changeCalcium($Cactn/100);
      #fem define active;r;${example}."calcium0xx" region $WALL;
      #print "\033[0;30;43m                New Calcium Level = ${Cactn}                         \033[0m\n"; 
      print "\033[0;30;43m                New pressure Level = ${LV_PRESS}                         \033[0m\n"; 
      #fem solve increment $pIncr iter $ITER  error $ERROR_TOLERANCE;
      fem solve increment -$pIncr iter $ITER  error $ERROR_TOLERANCE;        
      fem define initial;w;$outputInit."lv_def_reduced_$time" reg $WALL
      $return = MyFunc::writeCalciumLevel($Cactn,$time);
      $time=$time+1;
        #
  $name = "heartReduced_".${LV_PRESS};
  $file = $output.$name
  fem export nodes;$file field as $name offset 0
  fem export elements;$file field as $name offset_elem 0
  $name = "heartReducedStress_".${LV_PRESS}; 
  $file = $output.$name
  fem update gauss stress total Cauchy reg $WALL
  #fem update gauss stress total_no_hydro Piola reg $WALL
  fem export gauss;$file yg as gauss_stress offset 0 reg $WALL
  $name = "heartReducedStrain_".${LV_PRESS};
  $file = $output.$name
  fem update gauss strain fibre extension_ratios reg $WALL
  fem export gauss;$file yg as gauss_strain reg $WALL
        #
        fem list elements deformed total cavity_volume region $LV_CAVITY;
        print "\nLV cavity volume = ${LV_CAVITY_VOLUME}\n";
        print "LV pressure = $LV_PRESS\n";
        print "Solved for Calcium level = $Cactn\n\n";
        #
        #
    }

fem define initial;w;$output."endEjection" region $WALL
fem define active;w;$output."calciumEndEjection"

  print "Last time step: $time\n";

