# Explict Luo-Rudy phase 2 over a small, one element,
# cube. Used to test MP-SpeedUp.

#Set up problem size
fem define para;r;cube;example

#Define geometry of the problem
fem define coor;r;cube;example
fem define node;r;cube;example
fem define base;r;cube;example
fem define elem;r;cube;example
fem define fibr;d
fem define elem;r;cube;example fibre
fem define grid;r;cube;example
fem update grid geometry
fem update grid metric
#  Some useful groups
fem group grid external as boundary
fem group grid grid 92,93,101 as stimulus_site

#Define equation to solve
#  Define monodomain with LR2 kinetics
fem define equa;r;lr;example

#  Loop over the number of threads used to solve the problem

# Command updated by fixcom.sh on Wed Aug 23 17:49:56 NZT 2000
# Old command: DO NUM_THREADS=1,2,4,8,16
for $NUM_THREADS ( 1,2,4,8,16 ) 
{


#Define material properties for the problem

#  Define cellular material properties
  fem define cell;r;lr;example
#    Define cell variants and spatially varying material parameters
  fem define mate;r;cube;example cell
#  Define continuum material parameters
  fem define mate;r;cube;example
  fem update grid material

#Define continuum initial conditions
#  Set no-flux boundary condition
  fem define init;r;cube;example

#Define the explicit solve, using the adams integrator
  fem define solv;r;test;example

#Solve the problem

#  Set the number of threads to be used
  set num_threads $NUM_THREADS

#  Output information used to test speed up
  list num_threads
  list time

#  Solve for the current time
  fem solve to 2

#  Output information used to test speed up
  list time


# Command updated by fixcom.sh on Wed Aug 23 17:49:56 NZT 2000
# Old command: ENDDO
}


