# Set up for bidomain.
$VM=1
$PHI_E=2



fem define parameters;r;br_cube
fem define coordinates;r;br_cube

fem define node;r;br_cube

fem define base;r;br_cube

fem define elem;r;br_cube

fem define grid;r;br_cube
fem update grid geometry
fem update grid metric

fem group grid external as boundary
fem group grid xi2 high as stim_point oneoff element 1

fem def equa;r;br_cube class $VM,$PHI_E
fem def mate;r;br_cube class $VM,$PHI_E
fem def cell;r;br_cube class $VM,$PHI_E

fem update grid material class $VM,$PHI_E

fem def init;r;br_cube class $VM,$PHI_E

fem def solve;r;br_cube class $VM
fem def solve;r;br_cube class $PHI_E
 
fem solve to 0 class $VM,$PHI_E

# Export the grid elements and nodes
fem export node;Domain as Domain reg 1
fem export elem;Domain grid_numbers as Domain reg 1
fem export elem;"MemPot_000" field as Solution class $VM

fem open history;br_cube write variables yq niqlist 1 binary class $VM

  for $M ( 0..10 )
  {
   for $L ( 0..9 )
   {  
   #Solve for new time
   print "Time step: $M.$L\n"; 
   fem solve restart to "${M}.$L" class $VM,$PHI_E

   #Draw solution to graphics window
   #fem draw field grid 1 zmin=-110 zmax=60 class $VM
   #refresh graphics

   # Export solution
   fem export elem;"MemPot_${M}.$L" field as Solution class $VM

   #Write solution to file
   fem write history time "$M.$L" variables yq binary class $VM
   
   #Print graphics window to frame - for movie viewing (Optional)
   #cmiss("fem gxprint;frame_${J}${N}$M portable width 480 height 480")
    }
  }

fem close history binary class $VM
fem eval elec;br_cube history br_cube from grid yq binary

fem def expo;r;br_cube_sig 
fem expo signal;br_cube elec signal br_cube

fem def expo;r;br_cube_dat
fem expo signal;br_cube elec signal br_cube
