

# Colours
gfx create material default_selected ambient 1 0 0 diffuse 1 0 0 emission 0 0 0 specular 0 0 0 alpha 1 shininess 0
gfx create material red ambient 0 0 0 diffuse 1 0 0 emission 0 0 0 specular 0.47 0.5 0.47 alpha 1 shininess 0.07
gfx create material blue ambient 0 0 0 diffuse 0 0 1 emission 0 0 0 specular 0.66 0.66 0.61 alpha 1 shininess 0.16
gfx create material red ambient 0 0 0 diffuse 1 0 0 emission 0 0 0 specular 0.63 0.63 0.61 alpha 1 shininess 0.15
gfx create material default ambient 0 0 0 diffuse 0 0 0 emission 0 0 0 specular 1 1 1 alpha 1 shininess 0.18
gfx create material yellow ambient 0 0 0 diffuse 1 1 0 emission 0 0 0 specular 0.95 0.89 0.84 alpha 1 shininess 0.17
gfx create material bone ambient 0.66 0.61 0 diffuse 1 1 0.61 emission 0 0 0 specular 0.79 0.76 0.71 alpha 1 shininess 0.37
gfx create material grey ambient 0 0 0 diffuse 0.47 0.42 0.5 emission 0 0 0 specular 0.47 0.53 0.5 alpha 1 shininess 0.1


# muscle
gfx create material muscle ambient 1 0.13 0.16 diffuse 1 0.32 0.21 emission 0 0 0 specular 1 1 1 alpha 1 shininess 1
# bone
gfx create material bone ambient 1 1 0.16 diffuse 1 1 0.61 emission 0 0 0 specular 1 1 0.21 alpha 1 shininess 1
# fascia
gfx create material fascia ambient 0.28 0.21 0 diffuse 0.44 0.41 0.39 emission 0.69 0.43 0.31 specular 0.46 0.49 0.44 alpha 0.41 shininess 1
# skin
gfx create material skin ambient 0.26 0.28 0.28 diffuse 0.61 0.3 0.3 emission 0.57 0.39 0.15 specular 0.23 0 0 alpha 1 shininess 1


# Host
gfx read nodes host
gfx read elements host
gfx modify g_element host general clear circle_discretization 6 default_coordinate coordinates element_discretization "4*4*4" native_discretization none
gfx modify g_element host cylinders constant_radius 2 select_on material blue selected_material default_selected

# Slave/generic
gfx read nodes femur_slave
gfx read elements femur_slave
gfx modify g_element femur_slave general clear circle_discretization 6 default_coordinate coordinates element_discretization "4*4*4" native_discretization none
gfx modify g_element femur_slave surfaces select_on material bone selected_material default_selected render_shaded
gfx modify g_element femur_slave cylinders constant_radius 0.2 select_on material default selected_material default_selected

# landmark points
gfx read data femur_landmark
gfx modify g_element femur_landmark general clear circle_discretization 6 default_coordinate coordinates element_discretization "1*1*1" native_discretization none
gfx modify g_element femur_landmark lines select_on material default selected_material default_selected
gfx modify g_element femur_landmark data_points glyph sphere_hires general size "3*3*3" centre 0,0,0 select_on material blue selected_material default_selected

# Host customised
gfx read nodes host_cust
gfx read elements host_cust
gfx modify g_element host_cust general clear circle_discretization 6 default_coordinate coordinates element_discretization "4*4*4" native_discretization none
gfx modify g_element host_cust cylinders constant_radius 2 select_on material red selected_material default_selected

# Slave/generic customised
gfx read nodes femur_cust
gfx read elements femur_cust
gfx modify g_element femur_cust general clear circle_discretization 6 default_coordinate coordinates element_discretization "4*4*4" native_discretization none
gfx modify g_element femur_cust surfaces select_on material red selected_material default_selected render_shaded
gfx modify g_element femur_cust cylinders constant_radius 0.2 select_on material default selected_material default_selected

# projection points
gfx read data femur_projection
gfx modify g_element femur_projection general clear circle_discretization 6 default_coordinate coordinates element_discretization "1*1*1" native_discretization none
gfx modify g_element femur_projection data_points glyph arrow_solid general size "1*1*1" centre 1,0,0 orientation error scale_factors "-1*0.05*0.05" select_on material grey selected_material grey
gfx modify g_element femur_projection data_points glyph sphere_hires general size "3*3*3" centre 0,0,0 select_on material red selected_material default_selected

gfx create window 1 double_buffer;
gfx modify window 1 image scene default light_model default;
gfx modify window 1 image add_light default;
gfx modify window 1 layout simple ortho_axes z -y eye_spacing 0.25 width 400 height 400;
gfx modify window 1 set current_pane 1;
gfx modify window 1 background colour 1 1 1 texture none;
gfx modify window 1 view parallel eye_point 0 -1585.81 -63.1643 interest_point 0 -97.4985 -63.1643 up_vector 0 0 1 view_angle 40 near_clipping_plane 14.8831 far_clipping_plane 5318.71 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1;
gfx modify window 1 overlay scene none;
gfx modify window 1 set transform_tool current_pane 1 std_view_angle 40 normal_lines no_antialias fast_transparency blend_normal;













