# Define parameters,regions,and coordinate system
fem def para;r;contact
fem def region;r;contact
fem def coord 3,1
fem def bases;r;collapsed_new

# Fitting of stress and strain gauss points to nodal fields
for ($i=1;$i<80;$i++)
{
# Define geometry (nj 1,2,3)
fem def nodes;r;def_simulate_rectus_patella_$i reg 1
fem def elem;r;thesis_final_mesh reg 1

fem group elements 24001..24008,14004 as TEN reg 1
fem group elements 24009..24010 as PATLIG reg 1
fem group elements 10..18 as CART reg 1
fem group elements 1..9,19..27 as BONE reg 1
fem group elements 14001..14003,21001..21004,22001..22008,23001..23008 as MUS reg 1

# Define fibre field (nj 4,5,6)
fem def fibre;r;thesis_final_mesh reg 1
fem def elements;r;thesis_final_mesh fibre reg 1

# Define field (nj 7,8,9)
fem def field;r;thesis_final_mesh reg 1
fem def elements;r;thesis_final_mesh  field reg 1

fem def gauss;r;stress_rectus_patella_$i number 3 reg 1
fem def fit;r;test gauss reg 1 
fem fit reg 1
fem export nodes;stress_rectus_patella_$i as simulate_rectus_patella reg 1

#fem def gauss;r;strain_rectus_patella_$i number 3 reg 1
#fem def fit;r;test gauss reg 1 
#fem fit reg 1
#fem export nodes;strain_rectus_patella_$i as simulate_rectus_patella reg 1 
}
