fem def para;r;fitting_lin
fem def coor;r;fit

#fem def node;r;epi_init
fem def node;r;epi_edited
#fem def node;r;epi_fitted
fem def base;r;bicubic_fit

#fem def elem;r;epi_init
fem def elem;r;epi_fitted


#nodes 55 have extra versions, 201,202,203,204,205,206,207,208,209,210,211,212,213,214,244,249 are fitted valves
fem up node deriv 1 linear nodes 215,217..243,246,247,250..252,254,255,257,258
fem up node deriv 2 linear nodes 215,217..243,246,247,250..252,254,255,257,258


#fem refine elements 1..5,7..12 Xi 2

#
# The initial mesh
#
fem export node;epi_init as epi_init offset 0
fem export elem;epi_init as epi_init offset_elem 0



#
# Calculate the intial xi projections 
#   - alternatively the command fem def xi;c orthog can be used
#     it is slower but may produce better results in some cases
#
fem def data;r;epic
fem def xi;c close
fem li data err 
fem export data;epi_data as epi_data error


#
# Setup the fitting problem - 
fem up field from geometry

#
# Defines the fitting problem by setting smoothing parameters
#  and setting some fixed nodes.
#
#fem def fit;l;epi geometry
fem def fit;r;test geometry


#
# First fit
#
fem fit
fem update node fit
fem update scale_factor normalise
# The `old' option on `def xi;c' means that the last projections are used as
# initial estimates for the non-linear projection calculation.
fem def xi;c close old
fem li data err 

#
# Second fit
#
fem fit
fem update node fit
fem update scale_factor normalise
fem def xi;c close old
fem li data err 

#
# Third fit
#
fem fit
fem update node fit
fem update scale_factor normalise
fem def xi;c close old
fem li data err 


#
# Export the fitted geometry
#
fem export data;epi_data as epi_data error
fem export node;epi as epi offset 30000
fem export elem;epi as epi offset_elem 30000




















fem define nodes;w;epi_fitted
fem define elem;w;epi_fitted

fem quit
