
gfx create material black_skin ambient 0.4 0.1 0.1 diffuse 0.4 0.2 0.1 emission 0 0 0 specular 0.5 0.5 0.5 alpha 1 shininess 0.2
gfx create material copper ambient 1 0.2 0 diffuse 0.6 0.3 0 emission 0 0 0 specular 0.7 0.7 0.5 alpha 1 shininess 0.3
gfx create material dblue ambient 1 1 1 diffuse 0 0.1 1 emission 0 0 0 specular 0.4 0.4 0.5 alpha 1 shininess 0.5
gfx create material default ambient 1 1 1 diffuse 1 1 1 emission 0 0 0 specular 0 0 0 alpha 1 shininess 0
gfx create material default_selected ambient 1 0 0 diffuse 1 0 0 emission 0 0 0 specular 0 0 0 alpha 1 shininess 0
gfx create material gold ambient 1 0.4 0 diffuse 1 0.7 0 emission 0 0 0 specular 0.5 0.5 0.5 alpha 1 shininess 0.8
gfx create material green ambient 0 1 0 diffuse 0 1 0 emission 0 0 0 specular 0 0 0 alpha 0.9 shininess 0
gfx create material musc ambient 1 0.25 0.44 diffuse 0.91 0.18 0.13 emission 0 0 0 specular 1 1 1 alpha 1 shininess 0.22
gfx create material musc+ ambient 1 0.25 0.44 diffuse 1 0.75 0.7 emission 0 0 0 specular 1 1 1 alpha 1 shininess 0.44
gfx create material red ambient 1 0 0 diffuse 1 0 0 emission 0 0 0 specular 0.8 0.4 0.4 alpha 0.9 shininess 1
gfx create material silver ambient 0.4 0.4 0.4 diffuse 0.7 0.7 0.7 emission 0 0 0 specular 0.7 0.7 0.7 alpha 1 shininess 0.6
gfx create material skel ambient 0 0 0 diffuse 1 0.51 0.52 emission 0 0 0 specular 0 0 0 alpha 1 shininess 1
gfx create material skin ambient 1 0.2 0 diffuse 0.8 0.7 0.45 emission 0 0 0 specular 0.4 0.2 0.2 alpha 1 shininess 0.2

 
#gfx re node epi
#gfx re el epi
#gfx re data epi_data

gfx re node rv
gfx re el rv

gfx re no lv
gfx re el lv
#gfx re data lv_data

gfx re no final
gfx re el final

#gfx read no /usr/people/stevens/new_pig/epi/fit/fit_pulmonary_valve/pulmonary_valve
#gfx read el /usr/people/stevens/new_pig/epi/fit/fit_pulmonary_valve/pulmonary_valve

gfx read no /usr/people/stevens/new_pig/epi/fit/fit_aortic_valve/aortic_valve
gfx read el /usr/people/stevens/new_pig/epi/fit/fit_aortic_valve/aortic_valve


#gfx modify g_element epi general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "4*4*4" native_discretization none
#gfx modify g_element epi lines select_on material default selected_material default_selected
#gfx modify g_element epi node_points glyph point general size "1*1*1" centre 0,0,0 label cmiss_number select_on material default selected_material default_selected



gfx modify g_element rv general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "4*4*4" native_discretization none
gfx modify g_element rv lines select_on material default selected_material default_selected
gfx modify g_element rv surfaces select_on material default_selected selected_material default_selected render_shaded


gfx modify g_element lv general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "4*4*4" native_discretization none
gfx modify g_element lv lines select_on material default selected_material default_selected
gfx modify g_element lv surfaces select_on material dblue selected_material default_selected render_shaded
gfx modify g_element lv node_points glyph diamond general size "1*1*1" centre 0,0,0 select_on material default selected_material default_selected




use CmUtils;
#use CMISS::File qw(:Exnode :Ipnode);
#  $group = readExnode("epi_edited.exnode
#  writeIpnode("epi_edited.ipnode", $group);


use CmUtils::CmConvert qw(toIpnode);
#gfx write nodes group epi epi_edited
#$options = {-offset => -30000}
#toIpnode($options,"epi_edited.exnode");


#$options = {-offset => -50000}
#toIpnode($options,"rv_edited_new.exnode");





gfx create window 1 double_buffer
gfx modify window 1 image scene default light_model default
gfx modify window 1 image add_light default
gfx modify window 1 layout simple ortho_axes z -y eye_spacing 0.25 width 691 height 721
gfx modify window 1 set current_pane 1
gfx modify window 1 background colour 0 0 0 texture none
gfx modify window 1 view parallel eye_point 38.4524 237.411 -103.493 interest_point -0.479848 5.59782 51.8084 up_vector -0.332256 -0.485814 -0.80845 view_angle 20.9644 near_clipping_plane 2.8173 far_clipping_plane 1006.81 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1
gfx modify window 1 overlay scene none
gfx modify window 1 set transform_tool current_pane 1 std_view_angle 40 normal_lines no_antialias slow_transparency

GFX create g_element_editor










#gfx write nodes group lv lv_refined
#gfx write nodes group lv lv_edited
#$options = {-offset => -40000}
#toIpnode($options,"lv_edited.exnode");
#toIpnode($options,"lv_refined.exnode");


#gfx write nodes group rv rv_edited
#$options = {-offset => -50000}
#toIpnode($options,"rv_edited.exnode");




use CmUtils;
use CmUtils::CmConvert qw(toIpnode);
#gfx write nodes group final final_edited
#$options = {-offset => -60000}
#toIpnode($options,"final_edited.exnode");


gfx cre egroup apex add 60008,60013,60031,60039,60053..60054,60059..60063,60076..60080

gfx cre egroup layer4 add 60007,60012,60030,60040,60064..60075



gfx cre egroup layer3 add 60003,60006,60011,60014..60017,60022..60025,60028,60035..60038

gfx cre egroup layer2 add 60002,60005,60010,60018..60021,60026..60027,60029,60042..60047


    gfx cre mat copper ambient 1 0.2 0 diff 0.6 0.3 0 spec 0.7 0.7 0.5 shin 0.3
    gfx cre mat gold amb 1 0.4 0 diff 1 0.7 0 spec 0.5 0.5 0.5 shininess 0.8
    gfx create material silver ambient 0.4 0.4 0.4 diffuse 0.7 0.7 0.7 emission 0 0 0 specular 0.7 0.7 0.7 alpha 1 shininess 0.6
    gfx create material skin ambient 1 0.2 0 diffuse 0.8 0.7 0.45 emission 0 0 0 specular 0.4 0.2 0.2 alpha 1 shininess 0.2
    gfx create material black_skin ambient 0.4 0.1 0.1 diffuse 0.4 0.2 0.1 emission 0 0 0 specular 0.5 0.5 0.5 alpha 1 shininess 0.2
    gfx create material red ambient 1 0 0 diffuse 1 0 0
    gfx create material green ambient 0 1 0 diffuse 0 1 0

    # Extract the nodal derivatives as vector fields:
    gfx def field dx_ds1_v1 node_value fe_field coordinates d/ds1 version 1
    gfx def field dx_ds1_v2 node_value fe_field coordinates d/ds1 version 2
    gfx def field dx_ds1_v3 node_value fe_field coordinates d/ds1 version 3
    gfx def field dx_ds1_v4 node_value fe_field coordinates d/ds1 version 4
 
    gfx def field dx_ds2_v1 node_value fe_field coordinates d/ds2 version 1 
    gfx def field dx_ds2_v2 node_value fe_field coordinates d/ds2 version 2
    gfx def field dx_ds2_v3 node_value fe_field coordinates d/ds2 version 3 
    gfx def field dx_ds2_v4 node_value fe_field coordinates d/ds2 version 4 

    gfx def field dx_ds3_v1 node_value fe_field coordinates d/ds3 version 1 
    gfx def field dx_ds3_v2 node_value fe_field coordinates d/ds3 version 2
    gfx def field dx_ds3_v3 node_value fe_field coordinates d/ds3 version 3 
    gfx def field dx_ds3_v4 node_value fe_field coordinates d/ds3 version 4 

    # Turn on spheres at the nodes:
    gfx mod g_e base_musc  node_points glyph sphere size 1 mat skin select_on

    # Turn on gold arrows in the d/ds1 direction:
    gfx mod g_e base_musc  node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds1_v1 mat gold selected_mat gold draw_selected
    gfx mod g_e base_musc  node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds1_v2 mat gold selected_mat gold draw_selected
    gfx mod g_e base_musc  node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds1_v3 mat gold selected_mat gold draw_selected
    gfx mod g_e base_musc  node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds1_v4 mat gold selected_mat gold draw_selected

    # Turn on silver arrows in the d/ds2 direction:

    gfx mod g_e base_musc  node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds2_v1 mat silver selected_mat silver draw_selected
    gfx mod g_e base_musc  node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds2_v2 mat silver selected_mat silver draw_selected
    gfx mod g_e base_musc  node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds2_v3 mat silver selected_mat silver draw_selected
    gfx mod g_e base_musc  node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds2_v4 mat silver selected_mat silver draw_selected

    # Turn on copper arrows in the d/ds2 direction:

    gfx mod g_e base_musc  node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds3_v1 mat copper selected_mat copper draw_selected
    gfx mod g_e base_musc  node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds3_v2 mat copper selected_mat copper draw_selected
    gfx mod g_e base_musc  node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds3_v3 mat copper selected_mat copper draw_selected
    gfx mod g_e base_musc  node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds3_v4 mat copper selected_mat copper draw_selected




gfx read no /usr/people/stevens/new_pig/epi/fit/fit_pulmonary_valve/pulmonary_valve
gfx read el /usr/people/stevens/new_pig/epi/fit/fit_pulmonary_valve/pulmonary_valve


gfx cre egroup base_skel add 60082,60083,60084,60085,60086,60087,60088
gfx cre egroup base_musc add 60001,60004,60009,60032..60034,60041,60048..60052,60055..60058,60081