
#
# Sets up default colours and axes visualisation
#

gfx cre mat red      diff 1.0 0.0 0.0 spec 0.8 0.4 0.4 shin 1.0 alpha .9
gfx cre mat dblue    diff 0.0 0.1 1.0 spec 0.4 0.4 0.5 shin 0.5 
gfx cre mat gold     diff 1.0 0.7 0.0 spec 0.5 0.5 0.5 ambi 1.0 0.7 0.0 shin 0.8
gfx cre mat green    diff 0.0 1.0 0.0 alpha 0.9






#
# Initial Model
#
gfx read node lv_init
gfx read elem lv_init
gfx modify g_element lv_init general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "8*8*8" native_discretization none
gfx modify g_element lv_init lines select_on material gold selected_material default_selected


#
# Model
#
gfx read node lv
gfx read elem lv
gfx modify g_element lv general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "8*8*8" native_discretization none
gfx modify g_element lv lines select_on material green selected_material default_selected
gfx modify g_element lv node_points glyph point general size "1*1*1" centre 0,0,0 label cmiss_number select_on material default selected_material default_selected

#
# Data points 
#
gfx read data lv_data
gfx modify g_element lv_data general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "4*4*4" native_discretization none
gfx modify g_element lv_data lines select_on material default selected_material default_selected
gfx modify g_element lv_data data_points glyph cross general size "1*1*1" centre 0,0,0 select_on material green selected_material default_selected
gfx modify g_element lv_data data_points glyph line general size "0*0*0" centre 0,0,0 orientation error scale_factors "1*1*1" select_on material dblue selected_material default_selected



#
# Hides axes visualisation and opens window 1
#

