fem def para;r;fitting_lin
fem def coor 3,1


#
# Sets up basis functions 
#   - 1 standard bicubic Hermite element
fem def base;r;bicubic_fit

#
# Reads in an initial mesh and calculates linear approximations
#  for the derivatives in xi=1 and 2 directions
#
fem def node;r;base

fem def elem;r;base
fem up node deriv 1 linear nodes 25..34
fem up node deriv 2 linear nodes 25..28,30..34

#
# The initial mesh
#
fem export node;base_init as base_init offset 0
fem export elem;base_init as base_init offset_elem 0

fem quit
