#Example_115 Defining a quadratic-linear FEM mesh                           
                                                                    
fem                              #sets the environment to FEM         
fem define nodes;r;quad_lin;example  #Read in 6 nodes for the quadratic-linear
#                                !element.       
fem define window;c              #bring up the xy window
fem draw axes                    #draw the axes
fem draw node                    #draw the nodes
fem define bases;p;quad_lin      #Define one type of basis function 
#                                !to be a Lagrange tensor product. 
#                                !Define 2 Xi coordinates and define the
#                                !interpolant type in the Xi(1) direction to
#                                !be quadratic (type 2). All other options
#                                !are defaults. The file QUAD_LIN.IPBASE will
#                                !be created in your directory.
fem define elements;p            #Define one element with element number 1
#                                !and 2 geometric coordinates (ie. 2D)
#                                !that uses basis function type 1 for both.
#                                !coordinates. The 6 global node numbers are
#                                !1 2 3 4 5 6 (in that order). The file
#                                !QUAD_LIN.IPELEM will be created in your
#                                !directory.
fem draw line                    #draw the element lines
fem draw element                 #draw the element number
fem list bases                   #lists the defined bases             
fem list elements                #lists the defined elements
