#Example_216  Fitting prolate spheroidal mesh to epicardial geometric data                                                          
                                                                                                                                    
fem                          #set the FEM environment                                                                               
fem define coordinates;r;h00;example                                                                                                    
#                           !reads coordinate system definitions from file                                                          
#                            for standard prolate spheroid h00.ipcoor in                                                            
#                            directory [.DOC]                                                                                       
fem define base;r;h00_ep_sfcalc;example                                                                                                 
#                           !reads basis function definitions from                                                                  
#                            h00_ep_sfcalc.ipbase                                                                                   
fem define elements;r;h00_ep;example                                                                                                    
#                           !reads element definitions                                                                              
fem define node;r;h00_ep_ed02;example                                                                                                   
#                           !reads node definitions                                                                                 
fem define data;r;H02_ep;example geometry                                                                                                 
#                           !reads geometric data file H02_ep.ipdata, focal                                                         
#                            length for this geometry is displayed                                                                  
fem assign;p FOCUS           #you will be prompted to enter the focal length                                                        
fem change focus FOCUS       #standard focus is now overwritten with new                                                            
#                            value                                                                                                  
fem define window;c          #calculates window size                                                                                
fem define map hammer label  #opens window for hammer projection (window 4)                                                         
fem draw line on 4       #draws the mesh in window 4                                                                                
fem draw data on 4       #plots data on window 4.  Click somewhere in                                                               
#                            this window to bring to front                                                                          
fem draw node on 4       #show node numbers on window 4.  See figure                                                                
#                            Heart 02 Data-"Ep" in the manual                                                                       
fem change node;m on 4       #move nodes to draw boundary mesh lines nearer                                                         
#                            to data.  Move the moues to highlight a node,                                                          
#                            click LH button to select, click again in new                                                          
#                            position.  Click middle button to exit.  (Move                                                         
#                            node 1 down nearer mu=100, and node down near                                                          
#                            mu=110)                                                                                                
fem update mesh              #redraws meah with new nodal parameters                                                                
fem define line;c            #calculates new line positions                                                                         
fem define base;r;h00_ep_sfread;example                                                                                                 
#                           !reads basis function definitions from                                                                  
#                            h00_ep_sfread                                                                                          
fem define data;c xi         #calculates data xi coords with respect to mesh                                                        
fem define field;r;h00_ep;doc#defines basis type for fitted variable                                                                
fem define fit;r;h00_ep;example geometry                                                                                                
#                           !specifies fit parameters                                                                               
fem fit geometry             #fits the data                                                                                         
fem update node in 1         #updates fitted parameters at nodes                                                                    
fem list data error          #lists the error in the data of each element in                                                        
#                            comparison with the fitted geometry                                                                    
fem draw line on 1,2,3   #brings up windows 1 and 2 and draws mesh in                                                               
#                            window 1,2 and 3                                                                                       
fem draw data on 1,2     #plots data on windows 1 and 2                                                                             
