#Example_2172  Fit rectangular cartesian mesh to coronary bifurcation data                                                           
                                                                                                                                    
fem                          #set the FEM environment                                                                               
fem define coor;r;epi;example    #read in the coordinate definition from file                                                           
fem define bas;r;epi_5;example   #Fourier time basis has 5 harmonics                                                                    
fem define element;r;epi2d_16;example                                                                                                   
#                            !read in element definition from file                                                                  
fem define node;r;dnefit2;doc#define the node definitions as specified in                                                           
#                             the file 'dnefit2'                                                                                    
fem define data;r;[-.biffol]dnbif_11;example                                                                                            
#                            !read in the data definitions                                                                          
fem define data;r;[-.biffol]dnbif_11_left;example xi total 3                                                                            
#                            !third xi is time                                                                                      
fem define line;c            #calculate the line positions                                                                          
fem define motion;r;epi_5    #define a Fourier motion field                                                                         
fem define fit;r;epi_1_I_010 fourier                                                                                                
#                            !smooting weights alpha=1,beta=0.01                                                                    
fem fit fourier              #fit x                                                                                                 
fem define fit;r;epi_2_I_010 fourier                                                                                                
#                            !read in the fit definition                                                                            
fem fit fourier previous     #fit y using current global stiffness matrix                                                           
fem define fit;r;epi_3_I_010 fourier                                                                                                
#                            !read in the fit definition                                                                            
fem fit fourier previous     #fit z using current global stiffness matrix                                                           
fem define motion;w;epi_I_010#save motion fields                                                                                    
fem display motion           #displays a graph of the motion                                                                        
fem display history dynamic at 3,1.0,0.644 coor 1                                                                                   
#                            !displays a graph of the history                                                                       
fem draw data history data 1 coord 1                                                                                            
#                            !displays the data                                                                                     
fem quit                     #exit from CMISS                                                                                       
