Fits fibres for the RV septal wall with refined mesh                                                                                
fem assign;p HEART            #type in the heart number you want to work                                                            
#                              with (02 in this case)                                                                               
fem define coordinates;r;h00;example                                                                                                    
#                             !reads the coordinate system definitions for a                                                        
#                              standard prolate spheroid                                                                            
fem define base;r;h00_ep_sfread;example                                                                                                 
                              #reads basis function definitions                                                                     
fem define elements;r;h00_rs_ref;example                                                                                                
#                             !reads element definitons                                                                             
fem define lines;c            #define line set                                                                                      

# Command updated by fixcom.sh on Wed Aug 23 17:48:08 NZT 2000
# Old command: fem define nodes;r;H//HEART//_rv_ref;example                                                                                            
fem define nodes;r;HHEART_rv_ref;example

#                             !reads nodes definitions                                                                              
fem define window;c on 4      #calculate window size                                                                                
fem define map hammer         #opens window (4) for hammer projection                                                               
fem cancel node number 14,19,79,80,82,83                                                                                            
#                             !removes unwanted nodes                                                                               

# Command updated by fixcom.sh on Wed Aug 23 17:48:08 NZT 2000
# Old command: fem define lines;r;h00_rv_ref_//HEART                                                                                               
fem define lines;r;h00_rv_ref_HEART

fem define lines;c            #calculate line lengths                                                                               
fem draw line on 4            #draws mesh on window 4                                                                               
fem draw node on 4            #shows node numbers on window 4                                                                       
fem define fibre;r;h00_rs_ref_f;example                                                                                                 
#                             !reads standard fibre definitions                                                                     

# Command updated by fixcom.sh on Wed Aug 23 17:48:08 NZT 2000
# Old command: fem define data;r;H//HEART//_rs_f;example fibre                                                                                         
fem define data;r;HHEART_rs_f;example fibre

#                             !reads fibre data from file h02_rs_f.ipdata                                                           
fem define data;c xi          #calculates data xi coordinates with respect                                                          
#                              to mesh                                                                                              
fem change data fibre -180 0  #changes the data fibre angle range                                                                   
fem draw data fibre on 4      #draws the fibre data on window 4                                                                     
fem define fit;r;h00_rs_ref_f;example fibre                                                                                             
#                             !specifies fit parameters                                                                             
fem fit fibre                 #fits fibre data                                                                                      

# Command updated by fixcom.sh on Wed Aug 23 17:48:08 NZT 2000
# Old command: fem define fibre;w;H//HEART//_rs_ref_f                                                                                              
fem define fibre;w;HHEART_rs_ref_f

#                             !writes fitted fibre data to file                                                                     
#                              h02_rf_ref_f.ipfibr                                                                                  
fem draw fibres on 4          #draws fitted fibres on window 4                                                                      
fem assign;p return           #pauses until you press [RETURN]                                                                      
fem hide data on 4            #removes the original fibre data from window 4                                                        
fem quit                                                                                                                            
