Assembles a refined mesh for refined heart, check cross section                                                                     
fem assign;p HEART            #type in the heart number you eant to work                                                            
#                              with (02 in this case)                                                                               
fem define coordinates;r;h00;example                                                                                                    
#                             !reads the coordinate system definitions for a                                                        
#                              standard prolate spheroid                                                                            
fem define base;r;h00_my_sfread;example                                                                                                 
                              #reads basis function definitions                                                                     
fem define elements;r;h00_my_ref;example                                                                                                
#                             !reads element definitons                                                                             

# Command updated by fixcom.sh on Wed Aug 23 17:48:09 NZT 2000
# Old command: fem define nodes;r;H//HEART//_ep_ref;example                                                                                            
fem define nodes;r;HHEART_ep_ref;example

#                             !reads epicardial nodes definitions                                                                   

# Command updated by fixcom.sh on Wed Aug 23 17:48:09 NZT 2000
# Old command: fem define nodes;r;H//HEART//_lv_ref;example                                                                                            
fem define nodes;r;HHEART_lv_ref;example

#                             !reads LV nodes definitions                                                                           

# Command updated by fixcom.sh on Wed Aug 23 17:48:09 NZT 2000
# Old command: fem define nodes;r;H//HEART//_rv_ref;example                                                                                            
fem define nodes;r;HHEART_rv_ref;example

#                             !reads RV nodes definitions                                                                           
fem define nodes;r;H00_my_ref;example interpolate                                                                                       
#                             !reads nodes to be creatd by interpolation                                                            
#                              between existing nodes on surfaces and                                                               
#                              defines their positions                                                                              

# Command updated by fixcom.sh on Wed Aug 23 17:48:09 NZT 2000
# Old command: fem define lines;r;h00_ep_ref_//HEART;example                                                                                           
fem define lines;r;h00_ep_ref_HEART;example

                              #reads EP line definitions                                                                            

# Command updated by fixcom.sh on Wed Aug 23 17:48:09 NZT 2000
# Old command: fem define lines;r;h00_lv_ref_//HEART;example                                                                                           
fem define lines;r;h00_lv_ref_HEART;example

                              #reads LV line definitions                                                                            

# Command updated by fixcom.sh on Wed Aug 23 17:48:09 NZT 2000
# Old command: fem define lines;r;h00_rv_ref_//HEART;example                                                                                           
fem define lines;r;h00_rv_ref_HEART;example

                              #reads RV line definitions                                                                            
fem define lines;c interpolate                                                                                                      
                              #reads RV line definitions                                                                            

# Command updated by fixcom.sh on Wed Aug 23 17:48:09 NZT 2000
# Old command: fem define nodes;w;H//HEART//_my_ref                                                                                  
fem define nodes;w;HHEART_my_ref

#                              writes full set of nodal parameters to new                                                           
#                              file H02_my_ref.ipnode                                                                               

# Command updated by fixcom.sh on Wed Aug 23 17:48:09 NZT 2000
# Old command: fem define lines;w;h00_my_ref_//HEART                                                                                               
fem define lines;w;h00_my_ref_HEART

                              #A warning will have been given                                                                       
#                              about scaling factors around node 28.                                                                
#                              Before continuing you must create file                                                               
#                              h00_my_ref_ed**.ipline from h00_my_ref_**.ipline                                                     
#                              by calculating the missing scaling factors for                                                       
#                              lines from node 28. (Interpolate between the two                                                     
#                               adjacent lines)                                                                                     
#                              Arcs 101,105,113,and 116  need updating                                                              
#                              Arc 101 scaling factor is same as arc 36 or 149.                                                     
#                              Arc 105 scaling factor is same as arc 40 or 152.                                                     
#                              Arc 113 scaling factor is same as arc 48 or 158.                                                     
#                              Arc 116 scaling factor is same as arc 51 or 160.                                                     
fem assign;p return                                                                                                                 

# Command updated by fixcom.sh on Wed Aug 23 17:48:09 NZT 2000
# Old command: fem define lines;r;h00_my_ref_ed//HEART                                                                                             
fem define lines;r;h00_my_ref_edHEART

fem define lines;c   # Calculate correct line lengths                                                                               
                                                                                                                                    
#***You may wish to examine the cross sections for this mesh                                                                        
#***to see if it necessary to reposition interpolated nodes                                                                         
#***so they are closer to midwall.(eg.Nodes 89,90)                                                                                  
                                                                                                                                    
fem define window;c on 1,2    #calculate window size                                                                                
fem draw line on 1,2          #draw mesh on windows 1 and 2                                                                         
fem cancel line on 2          #cancel lines on window 2                                                                             
fem draw cross x=-10.0        #draw cross section at x=-10                                                                          
fem assign;p;return                                                                                                                 
fem draw cross x=1.0          #draw cross section at x=1                                                                            
fem assign;p;return                                                                                                                 
fem draw cross x=10.0         #draw cross section at x=10                                                                           
fem assign;p;return                                                                                                                 
fem draw cross x=25.0                                                                                                               
fem assign;p;return                                                                                                                 
                                                                                                                                    
#***Change the nodes interactively (change node;p).                                                                                 
#   Examine adjacent nodes and use linear interpolation                                                                             
#   to calculate new mu,theta and derivatives 0..3 for lambda.                                                                      
#   Cmiss may not read -ves when you change nodal values - CHECK THIS!                                                              
#   When finished write nodes to file H**_my_ref_g ***                                                                              
#   and write h**_ref;iod                                                                                                           
fem quit                                                                                                                            
