#Anthropomorphic fits: Update host mesh geom coords & export mesh
#
fem de coor;r;host;example              #3D r.c. coords
fem de base;r;host;example              #bicubic-linear
#
#Read host mesh into region 1
fem de node;r;host;example           
fem de elem;r;host;example    
fem de fiel;r;host;example              #define 3 field variables
fem de elem;r;host;example field
#
fem group elem 1..4 as allelems
#
#Read data points (these are deformed nodes of face mesh)
fem de data;r;face_target;example       #read coords data points
#
#Read their Xi coords within the cube (material pts)
fem de xi;r;face;example                #read Xi positions of data pts
fem li data error               #show starting error
#
#Fit host mesh to put face material pts at specified deformed locations
fem de fit;r;host;example geom      
fem fit
#
#Update host mesh geometry & export fitted mesh + target data
fem update nodes
fem list data error             #show final error
fem export nodes;host_fit as host_fit
fem export elements;host_fit as host_fit
fem export data;face_target as target_data
fem quit
