#Example_421 A plane stress problem                                     
                                                                       
fem                            #Set up the FEM environment              
fem define nodes;r;planestress;example #read in 6 nodes to define a plate
fem define window;c            #Calculate the window size              
fem define bases;r;;example    #Define a bilinear basis function
fem define elements;r;;example #Define two elements   
fem define fibre;d             #Default fibre angle
fem define elements;r;;example fibre
fem draw lines                 #Make the line segments visible          
fem draw elements              #Make the element numbers visible        
fem draw nodes                 #Make the node numbers visible           
fem define equation;p lock     #Define a static analysis using 
#                                linear elasticity with plane stress
#                                elements for elements 1 & 2. 
#                                Enter basis function type #1 for both
#                                displacement components. Default all
#                                other options.
fem define material;p          #Define the material parameters. Define 
#                                an isotropic material with a Young's 
#                                modulus of 200 GPa, Poisson's ratio
#                                of 0.3 (i.e. Steel). Default all other
#                               options
fem list material              #List the material parameters         
fem define initial;p           #Define initial and boundary conditions 
#                                for the problem. Set both the x and
#                                y displacements at node 1 and 6 to 0
#                                and apply an integrated force of 10 kN 
#                                in the x direction at node 3 and an 
#                                integrated  force of 5 kN in the 
#                                y-direction at node 5.
fem draw nodes                 #Draw the nodes. Note the fixed nodes are
#                                now indicated.
fem define solve;p             #Define the solver. The default options
#                                should be used.
fem solve                      #Solve the boundary value problem
fem draw line deformed dotted  #Draws deformed body with dotted lines 
fem list node solution         #List the nodal displacements 
fem list node reaction         #List the nodal reactions (forces) 
fem list stress                #List the element stresses         
fem draw stress scale 1.5      #Draw (scaled) principal stress vectors
fem draw reaction scale 0.04   #Draw (scaled) reaction (force) vectors
fem define field;p             #Define a field for calculating the stress 
#                                field. Define the number of field 
#                                variables to be 1. Default all other options.
fem define elem;p field        #Define the field elements. Default all
#                                questions.
fem update gauss stress        #Calculate the stresses at the gauss pts
fem define fit;p gauss lock    #Define the fit problem in order to fit
#                                the stress field. Default all options.
#                                It should be noted for later that the
#                                gauss pt var to be fitted indicates what
#                                the stress information to be fitted is.
#                                Gauss pt var 1 corresponds
#                                to the 1st principal stress component,
#                                var 2 is the 2nd principal stress
#                                component and var 3 is the strain
#                                energy).
fem fit                        #Fit the stress field to the stresses at
#                                the gauss points.
fem draw field                 #Draw the stress field.
