set num_threads 2

fem define para;r;full_big
fem define coor;r;ellipsoid
fem define bases;r;basisfuncs

fem define nodes;r;meanLV
fem define elements;r;endoepi
fem define fibre;r;sept1simple
fem define element;r;simple fibre

$file = "heartOriginal"
fem export nodes;$file as $file offset 1000
fem export elements;$file as $file offset_elem 1000

fem define equation;r;ellipsoid
fem define material;r;editedEllipsoid
fem define initial;r;Base_node_restricted
fem define solve;r;Central_diff_LU

read com;solveInflation

$file = 'heartDeformed'
fem export nodes;$file field as $file offset 0000
fem export elements;$file field as $file offset_elem 0000

#fem group gauss 33,35,37,39,41,43,45,47 as gausspts
#fem list strain;heartStrain gauss at 33,35,37,39,41,43,45,47 wall element 1..30 high_precision
fem list strain;heartStrain gauss at 1..16,33..48 wall element 1..30 high_precision
#fem list strain;heartStrain wall element 1..30 high_precision

fem update gauss strain wall extension_ratios
fem export gauss;heartStrain yg as gauss_strain
fem update geometry from solution

fem define nodes;w;deformed
fem quit
