# Undeformed
gfx read nodes MRP02
gfx read elem MRP02

gfx create window 1 double_buffer
gfx modify window 1 image scene default light_model default
gfx modify window 1 image add_light default
gfx modify window 1 layout simple ortho_axes z -y eye_spacing 0.25 width 512 height 512
gfx modify window 1 set current_pane 1
gfx modify window 1 background colour 0 0 0 texture none
gfx modify window 1 view parallel eye_point -219.212 -84.2677 -1.22803 interest_point -1.16781 4.74313 60.0193 up_vector 0.223498 0.11824 -0.967506 view_angle 29.0949 near_clipping_plane 2.43346 far_clipping_plane 869.637 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1
gfx modify window 1 overlay scene none
gfx modify window 1 set transform_tool current_pane 1 std_view_angle 40 normal_lines no_antialias fast_transparency


gfx create material default ambient 1 1 1 diffuse 1 1 1 emission 0 0 0 specular 0 0 0 alpha 1 shininess 0
gfx create material epi ambient 0 0 0 diffuse 1 0 0 emission 0 0 0 specular 0 0 0 alpha 0.7 shininess 1
gfx create material healthy ambient 0 0 0 diffuse 1 0 0 emission 0 0 0 specular 0 0 0 alpha 1 shininess 1
gfx create material infarct ambient 0 0 0 diffuse 0.51 0.3 0.25 emission 0 0 0 specular 0 0 0 alpha 1 shininess 1
gfx create material red ambient 1 0 0 diffuse 1 0 0
gfx create material green ambient 0 1 0 diffuse 0 1 0
gfx create material bluey amb 0 0.25 0.5 diff 0 0.4 1 spec 0.5 0.5 0.5 shininess 0.3
gfx create material copper ambient 1 0.2 0 diff 0.6 0.3 0 spec 0.7 0.7 0.5 shin 0.3
gfx create material gold amb 1 0.4 0 diff 1 0.7 0 spec 0.5 0.5 0.5 shininess 0.8
gfx create material silver ambient 0.4 0.4 0.4 diffuse 0.7 0.7 0.7 emission 0 0 0 specular 0.7 0.7 0.7 alpha 1 shininess 0.6
gfx create material skin ambient 1 0.2 0 diffuse 0.8 0.7 0.45 emission 0 0 0 specular 0.4 0.2 0.2 alpha 1 shininess 0.2
gfx create material black_skin ambient 0.4 0.1 0.1 diffuse 0.4 0.2 0.1 emission 0 0 0 specular 0.5 0.5 0.5 alpha 1 shininess 0.2


gfx define field fibre_axes fibre_axes coordinate coordinates fibre fibres
gfx define field fibre composite fibre_axes.1 fibre_axes.2 fibre_axes.3
gfx define field sheet composite fibre_axes.4 fibre_axes.5 fibre_axes.6
gfx define field normal composite fibre_axes.7 fibre_axes.8 fibre_axes.9
gfx define field neg_fibre scale field fibre scale_factors -1 -1 -1
gfx define field fibre_sheet_axes composite sheet neg_fibre normal


gfx modify g_element MRP01 general clear circle_discretization 6 default_coordinate coordinates element_discretization "4*4*4" native_discretization none
gfx modify g_element MRP01 lines exterior face xi3_0 select_on material default selected_material default_selected
gfx modify g_element MRP01 surfaces exterior face xi3_0 select_on material epi selected_material default_selected render_shaded
gfx modify g_element MRP01 node_points glyph sphere size "1*1*1" centre 0,0,0 select_on invisible material default selected_material default_selected
gfx modify g_element MRP01 lines exterior select_on material default selected_material default_selected



#$ANGLE=18
$ANGLE=20
$Xcomp=cos($ANGLE)
$Ycomp=sin($ANGLE)

  gfx create dgroup seed_points
  gfx define field data_density composite 0.3
  gfx define field slice_normal coordinate_system rectangular_cartesian composite  $Xcomp $Ycomp 0
  gfx define field slice coordinate_system rectangular_cartesian dot_product fields coordinates slice_normal
  gfx define field z_axis coordinate_system rectangular_cartesian composite 0 0 1
  gfx define field in_slice coordinate_system rectangular_cartesian cross_product dimension 3 fields z_axis slice_normal
  gfx define field in_slice1 coordinate_system rectangular_cartesian composite in_slice.1
  gfx define field in_slice2 coordinate_system rectangular_cartesian composite in_slice.2
  gfx define field sheet_dot_in_slice coordinate_system rectangular_cartesian dot_product fields sheet in_slice
  gfx define field sheet_in_slice1 coordinate_system rectangular_cartesian dot_product fields sheet_dot_in_slice in_slice1
  gfx define field sheet_in_slice2 coordinate_system rectangular_cartesian dot_product fields sheet_dot_in_slice in_slice2
  gfx define field sheet_in_slice coordinate_system rectangular_cartesian composite sheet_in_slice1 sheet_in_slice2 sheet.3
  gfx define field sheet_in_slice_fibre coordinate_system rectangular_cartesian composite sheet_in_slice fibre

  gfx create iso_surf as iso_surf coordinate coordinates iso_scalar slice iso_value 0 surface_data_density data_density surface_data_group seed_points
  gfx modify g_element seed_points data_points
  gfx create streamlines as streamlines coordinate coordinates vector sheet_in_slice_fibre seed_data_group seed_points seed_data_field element_xi material gold length 30
  gfx draw streamlines
  gfx create streamlines as streamlines_reverse coordinate coordinates reverse vector sheet_in_slice_fibre seed_data_group seed_points seed_data_field element_xi material gold length 30
  gfx draw streamlines_reverse




#  gfx create iso_surf as iso_surf iso_scalar slice iso_value 0 surface_data_density data_density surface_data_group seed_points
#  gfx modify g_element seed_points data_points
#  gfx create streamlines as streamlines vector sheet_in_slice_fibre seed_data_group seed_points seed_data_field element_xi material gold length 30
#  gfx draw streamlines
#  gfx create streamlines as streamlines_reverse reverse vector sheet_in_slice_fibre seed_data_group seed_points seed_data_field element_xi material gold length 30
#  gfx draw streamlines_reverse


# Is the bug in here??
#gfx define field slice_normal coordinate_system rectangular_cartesian composite  $Xcomp $Ycomp 0
#gfx define field slice coordinate_system rectangular_cartesian dot_product fields coordinates slice_normal
#gfx create iso_surf as iso_surf coordinate coordinates iso_scalar slice iso_value 0 
