#======================== RIGHT MIDDLE LOBE ===================

${lobe}= 'right_middle';
${tot_itt}=2;
${off}=1500;
${off_data}=7500;

fem def para;r;all_lobe;example 
fem def coord;r;all_lobe;example 
fem def base;r;all_lobe_cubic;example 
fem def node;r;${lobe};example 
fem def elem;r;${lobe};example

fem update nodes derivative 1 linear
fem update nodes derivative 2 linear
fem update nodes derivative 3 linear

fem update field from geometry

fem def data;r;${lobe};example
fem export data;${lobe} as ${lobe} offset ${off_data} 

#fem def xi;c closest_face external
#fem def xi;w;${lobe}_0 closest_face external
fem def xi;r;${lobe}_0;example closest_face external
fem li data error

for ($fit_itt=1; $fit_itt<=$tot_itt; $fit_itt=$fit_itt+1)
  {
   fem def fit;r;${lobe}_${fit_itt};example geometry
   fem fit
   fem update node fit
   fem update scale_factor normalise
#   fem def xi;c closest_face external old
#   fem def xi;w;${lobe}_${fit_itt} closest_face external
   fem def xi;r;${lobe}_${fit_itt};example closest_face external
   
   system "echo ' ======================================================' "    
   fem li data error
   system "echo ' ITERATION ${fit_itt} DONE' "
   system "echo ' ======================================================' "
  }

fem def nodes;w;${lobe}_fitted
fem def elem;w;${lobe}_fitted
fem export nodes;${lobe}_fitted as ${lobe}_fitted offset ${off}
fem export elem;${lobe}_fitted as ${lobe}_fitted offset_node ${off} offset_elem ${off}

