set data style linespoints 
set linestyle  1 linetype  1 linewidth 3
set linestyle  2 linetype  2 linewidth 2
set linestyle  3 linetype  3 linewidth 2
set linestyle  4 linetype  4 linewidth 2
set linestyle  5 linetype  5 linewidth 2
set linestyle  6 linetype  6 linewidth 2
set linestyle  7 linetype  7 linewidth 2
set linestyle  8 linetype  8 linewidth 2
set linestyle  9 linetype  9 linewidth 2
set linestyle  10 linetype  10 linewidth 2

set output "tendon_ratio.eps"
set terminal postscript eps
set xtics 0,10,100
set ytics 0,0.1,1.5
plot [0:100][0:1.5]  'tendon_ratio.txt' ls 1,'Graphs/tendon_force/Heegard_etal1.txt' ls 2,'Graphs/tendon_force/Heegard_etal2.txt' ls 3,'Graphs/tendon_force/vanEijden_etal.txt' ls 4,'Graphs/tendon_force/Gill_etal.txt' ls 5,'Graphs/tendon_force/Yamaguchi_etal.txt' ls 6,'Graphs/tendon_force/Ahmed_etal.txt' ls 7,'Graphs/tendon_force/Cheng_etal.txt' ls 8

set output "patella_flex.eps"
set xtics 0,10,100
set ytics -10,10,90
plot [0:100][-10:90]  'patella_flex_kinematics.txt' ls 1,'Graphs/flex/Heegard_etal_exp1.txt' ls 2,'Graphs/flex/Heegard_etal_exp2.txt' ls 3,'Graphs/flex/vanEijden_etal.txt' ls 4,'Graphs/flex/Brunet_etal.txt' ls 5

set output "patella_rot.eps"
set xtics 0,10,100
set ytics -4,1,10
plot [0:100][-4:10]  'patella_rot_kinematics.txt' ls 1,'Graphs/rot/Heegard_etal_exp1.txt' ls 2,'Graphs/rot/Brunet_etal.txt' ls 3,'Graphs/rot/Heegard_etal_exp2.txt' ls 4,'Graphs/rot/Sakai_etal.txt' ls 5

set output "patella_tilt.eps"
set xtics 0,10,100
set ytics -6,1,10
plot [0:100][-6:10]  'patella_tilt_kinematics.txt' ls 1,'Graphs/tilt/Heegard_etal_exp1.txt' ls 2,'Graphs/tilt/Brunet_etal.txt' ls 3,'Graphs/tilt/Hirokawa.txt' ls 4,'Graphs/tilt/Sakai_etal.txt' ls 5

set output "patella_q1.eps"
set xtics 0,10,100
set ytics -7,1,10
plot [0:100][-7:10] 'patella_q1_kinematics.txt' ls 1,'Graphs/shift/Heegard_etal_exp1.txt' ls 2,'Graphs/shift/Heegard_etal_exp2.txt' ls 3,'Graphs/shift/Brunet_etal.txt' ls 4,'Graphs/shift/Sakai_etal.txt' ls 5





















