# example_f13

fem def para;r;bladder_minimal  # Defines the parameters necessary to solve
                                # a mechanics problem on the bladder
fem def coor;r;3D_cartesian # Defines 3D cartesian coordinate system
fem def bases;r;blad_ref # Define the basis functions for the bicubic linear 
                         # version of the bladder. The basis function therefore 
                         # are c*c*l, and the face bases c*c, c*l and l*c.
                         # The trilinear basis functions for the fibre 
                         # interpolation are also defined for later l*l*l and l*l
fem def node;r;blad_ref   # The nodes for the whole bladder mesh are defined. Note 
                          # the versions on some nodes, necessary when the mesh has
                          # inconsistent xi directions either side of a node or 
                          # multiple xi diverging from a node (for example at an apex).
fem def elem;r;blad_ref   # The versions defined at the nodes are also reflected in the 
                          # element file. When a node with versions is present in an
                          # element, the versions also have to be specified.
fem def fibr;r;blad_ref # Reads the fibre information. For the bladder 3 euler angles 
                        # have been defined for the fibre information. The first 'fibre 
                        # angle' is the angle of the fibre wrt to the defined direction
                        # (in this case xi 1) in the 1-2 (bladder surface) plane,
                        # ie about the xi 3 direction. 
                        # The second angle 'sheet angle' defines the rotation of the 
                        # fibre sheet about the xi 1 axis. The third angle 'imbrication angle'
                        # defines the rotation of the fibre sheet in the 1-3 plane,
                        # about the xi 2 direction. This is effectively the tilt of the fibre
                        # sheet describing how one continuous fibre moves though the thickness 
                        # of the bladder.
                        
                        # Versions are also present for fibres. They are used in the
                        # bladder where the fibres diverge to go in 2 directions in the 
                        # trigone region (inner surface on the postero-inferior aspect)
fem def elem;r;blad_ref fibre # Reads the element fibre information
                          
