
fem def para;r;fitting_lin
fem def coor;r;fit

#fem def node;r;lv_init
#fem def node;r;lv_edited
fem def node;r;lv_refined
fem def base;r;bicubic_fit

#fem def elem;r;lv_init
fem def elem;r;lv_fitted

#nodes 21 have extra versions, 3,10,14,17,21,48,49,50,51,52,53,54
fem up node deriv 1 linear nodes 1,2,5,7..9,11..13,15,16,18..20,23..44,45,55
fem up node deriv 2 linear nodes 1,2,5,7..9,11..13,15,16,18..20,23..44,45,47,48,49,55


#fem refine Xi 2 element 1..4,6..10
#
# The initial mesh
#
fem export node;lv_init as lv_init offset 0
fem export elem;lv_init as lv_init offset_elem 0


#
# Calculate the intial xi projections 
#   - alternatively the command fem def xi;c orthog can be used
#     it is slower but may produce better results in some cases
#
#fem def data;r;lv_endo
fem def data;r;lv_endo_edited
fem def xi;c close
fem li data err 
fem export data;lv_data as lv_data error


#
# Setup the fitting problem - 
fem up field from geometry

#
# Defines the fitting problem by setting smoothing parameters
#  and setting some fixed nodes.
#
fem def fit;r;lv geometry


#
# First fit
#
fem fit
fem update node fit
fem update scale_factor normalise
# The `old' option on `def xi;c' means that the last projections are used as
# initial estimates for the non-linear projection calculation.
fem def xi;c close old
fem li data err 

#
# Second fit
#
fem fit
fem update node fit
fem update scale_factor normalise
fem def xi;c close old
fem li data err 

#
# Third fit
#
fem fit
fem update node fit
fem update scale_factor normalise
fem def xi;c close old
fem li data err 


#
# Export the fitted geometry
#
fem export data;lv_data as lv_data error
fem export node;lv as lv offset 40000
fem export elem;lv as lv offset_elem 40000




















fem define nodes;w;lv_fitted
fem define elem;w;lv_fitted

fem quit
