gfx read nodes lv
gfx read el lv
gfx read nodes epi
gfx read el epi



gfx create window 1 double_buffer
gfx modify window 1 image scene default light_model default
gfx modify window 1 image add_light default
gfx modify window 1 layout simple ortho_axes z -y eye_spacing 0.25 width 665 height 786
gfx modify window 1 set current_pane 1
gfx modify window 1 background colour 0 0 0 texture none
gfx modify window 1 view parallel eye_point -122.859 -115.687 -168.516 interest_point -2.93352 2.51215 51.5397 up_vector 0.341698 0.737595 -0.582405 view_angle 11.9801 near_clipping_plane 2.77088 far_clipping_plane 990.219 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1
gfx modify window 1 overlay scene none
gfx modify window 1 set transform_tool current_pane 1 std_view_angle 40 normal_lines no_antialias fast_transparency



gfx cre mat red      diff 1.0 0.0 0.0 spec 0.8 0.4 0.4 shin 1.0 alpha .9
gfx cre mat dblue    diff 0.0 0.1 1.0 spec 0.4 0.4 0.5 shin 0.5 
gfx cre mat gold     diff 1.0 0.7 0.0 spec 0.5 0.5 0.5 ambi 1.0 0.7 0.0 shin 0.8
gfx cre mat green    diff 0.0 1.0 0.0 alpha 0.9



gfx modify g_element lv general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "4*4*4" native_discretization none
gfx modify g_element lv lines select_on material default selected_material default_selected
gfx modify g_element lv surfaces select_on material default selected_material default_selected render_shaded
gfx modify g_element lv element_points glyph point general size "1*1*1" centre 0,0,0 label cmiss_number use_elements cell_centres discretization "1*1*1" native_discretization NONE select_on material default selected_material default_selected





gfx modify g_element epi general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "4*4*4" native_discretization none
gfx modify g_element epi lines select_on material default selected_material default_selected
gfx modify g_element epi surfaces select_on material default data xi spectrum default selected_material default_selected render_shaded




#
# Data points 
#
#gfx read data lv_data
gfx modify g_element lv_data general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "4*4*4" native_discretization none
#gfx modify g_element lv_data lines select_on material default selected_material default_selected
#gfx modify g_element lv_data data_points glyph cross general size "1*1*1" centre 0,0,0 select_on material green selected_material default_selected
#gfx modify g_element lv_data data_points glyph line general size "0*0*0" centre 0,0,0 orientation error scale_factors "1*1*1" select_on material dblue selected_material default_selected

#use CmUtils;
#use CMISS::File qw(:Exnode :Ipnode);
#  $group = readExnode("lv_endo_edited.exdata");
#  writeIpdata("lv_endo_edited.ipdata", $group);

#gfx read nodes epi_init;
#gfx read elem epi_init;





#gfx read data lv_endo
#gfx write data group lv_endo lv_endo_edited

#gfx modify g_element lv_endo general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "4*4*4" native_discretization none
#gfx modify g_element lv_endo lines select_on material default selected_material default_selected
#gfx modify g_element lv_endo data_points glyph cross general size "1*1*1" centre 0,0,0 select_on material red selected_material default_selected

#nawk -f ${CMISS_ROOT}/cmiss_utils/data_utils/exnode_to_ipdata.awk lv_endo_edited.exdata > lv_endo_edited.ipdata



gfx read data rv_data
gfx modify g_element rv_data general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "4*4*4" native_discretization none
gfx modify g_element rv_data lines select_on material default selected_material default_selected
gfx modify g_element rv_data data_points glyph cross general size "1*1*1" centre 0,0,0 select_on material green selected_material default_selected
gfx modify g_element rv_data data_points glyph line general size "0*0*0" centre 0,0,0 orientation error scale_factors "1*1*1" select_on material dblue selected_material default_selected









gfx re no rv
gfx re el rv
gfx modify g_element rv general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "8*8*8" native_discretization none
gfx modify g_element rv lines select_on material red selected_material default_selected
gfx modify g_element rv surfaces select_on material default selected_material default_selected render_shaded
gfx modify g_element rv node_points glyph point general size "1*1*1" centre 0,0,0 label cmiss_number select_on material dblue selected_material default_selected
gfx modify g_element rv element_points glyph point general size "1*1*1" centre 0,0,0 label cmiss_number use_elements cell_centres discretization "1*1*1" native_discretization NONE select_on material default selected_material default_selected














    #Example_at: Nodal derivative editing: bicubic Hermite-linear mesh
    #
    # Uses "node_value" computed fields to extract nodal derivatives as vector
    # fields. These are used to orient glyphs at nodes and thus show the direction
    # and magnitude of the derivative vectors. The node points are drawn with
    # "select_on", allowing them to be selected with the mouse. When selected, the
    # vectors for controlling derivatives will appear and be editable, since they
    # are in mode "draw_selected".
    #
    # Run all the commands in order, then choose the node_tool on the graphics
    # window to allow node position and derivative editing. Use shift-clicking to
    # multi-select nodes to re-position. Control-drag the mouse at any time
    # to rotate, translate and zoom the scene.
    # Later make cross derivative vectors and surfaces visible for more interesting
    # derivative control.
    #
    #----------
    #
    gfx cre mat copper ambient 1 0.2 0 diff 0.6 0.3 0 spec 0.7 0.7 0.5 shin 0.3
    gfx cre mat gold amb 1 0.4 0 diff 1 0.7 0 spec 0.5 0.5 0.5 shininess 0.8
    gfx create material silver ambient 0.4 0.4 0.4 diffuse 0.7 0.7 0.7 emission 0 0 0 specular 0.7 0.7 0.7 alpha 1 shininess 0.6
    gfx create material skin ambient 1 0.2 0 diffuse 0.8 0.7 0.45 emission 0 0 0 specular 0.4 0.2 0.2 alpha 1 shininess 0.2
    gfx create material black_skin ambient 0.4 0.1 0.1 diffuse 0.4 0.2 0.1 emission 0 0 0 specular 0.5 0.5 0.5 alpha 1 shininess 0.2
    gfx create material red ambient 1 0 0 diffuse 1 0 0
    gfx create material green ambient 0 1 0 diffuse 0 1 0

    # Extract the nodal derivatives as vector fields:
    gfx def field dx_ds1_v1 node_value fe_field coordinates d/ds1 version 1
    gfx def field dx_ds2_v1 node_value fe_field coordinates d/ds2 version 1 
    # Extract the cross derivative:
    gfx def field d2x_ds1ds2_v1 node_value fe_field coordinates d2/ds1ds2 version 1
 
    gfx def field dx_ds1_v2 node_value fe_field coordinates d/ds1 version 2
    gfx def field dx_ds2_v2 node_value fe_field coordinates d/ds2 version 2 
    # Extract the cross derivative:
    gfx def field d2x_ds1ds2_v2 node_value fe_field coordinates d2/ds1ds2 version 2

    gfx def field dx_ds1_v3 node_value fe_field coordinates d/ds1 version 3
    gfx def field dx_ds2_v3 node_value fe_field coordinates d/ds2 version 3 
    # Extract the cross derivative:
    gfx def field d2x_ds1ds2_v3 node_value fe_field coordinates d2/ds1ds2 version 3
    gfx create win 1

    # Command updated by fixcom.sh on Wed Aug 23 17:49:37 NZT 2000
    # Old command: gfx mod g_e rv general element_discretization 10*10*1
    gfx mod g_e rv general element_discretization "10*10*1"

    # Turn on spheres at the nodes:
    gfx mod g_e rv node_points glyph sphere size 1 mat skin select_on

    # Turn on gold arrows in the d/ds1 direction:

    gfx mod g_e rv node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds1_v1 mat gold selected_mat gold draw_selected
    gfx mod g_e rv node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds1_v2 mat gold selected_mat gold draw_selected
    gfx mod g_e rv node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds1_v3 mat gold selected_mat gold draw_selected

    # Turn on silver arrows in the d/ds2 direction:

    gfx mod g_e rv node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds2_v1 mat silver selected_mat silver draw_selected
    gfx mod g_e rv node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds2_v2 mat silver selected_mat silver draw_selected
    gfx mod g_e rv node_points glyph arrow_solid size "0*1*1" scale_factors "5*0*0" orientation dx_ds2_v3 mat silver selected_mat silver draw_selected

    #
    # Add invisible surfaces and cross derivative vectors.

    gfx mod g_e rv node_points glyph arrow_solid size "0*1*1" scale_factors "1*0*0" orientation d2x_ds1ds2_v1 mat red draw_selected invisible
    gfx mod g_e rv node_points glyph arrow_solid size "0*1*1" scale_factors "1*0*0" orientation d2x_ds1ds2_v2 mat red draw_selected invisible
    gfx mod g_e rv node_points glyph arrow_solid size "0*1*1" scale_factors "1*0*0" orientation d2x_ds1ds2_v3 mat red draw_selected invisible

    gfx modify g_element rv surfaces material copper invisible
    #
    # Enable editing with the node_tool on the graphics window.
    # Note: Normally just double-click on the node_tool button in the graphics
    # window to set these and other options.
    gfx node_tool edit
    #
    # As an extra exercise, turn off the node spheres, d/ds1 and d/ds2 derivatives,
    # and switch the above two attributes on in the graphical element editor.
    # The cross derivatives are all zero to start with, so you cannot see or their
    # effect until they are dragged away from the nodes.
    #






gfx read no /usr/people/stevens/new_pig/epi/fit/fit_pulmonary_valve/pulmonary_valve
gfx read el /usr/people/stevens/new_pig/epi/fit/fit_pulmonary_valve/pulmonary_valve